04/25/2003 (version 2.01)
----------
1. Norwegian language and templates translation update
   (thanks to Are Tysland, are.AT.valinor.dolphinics.no)
2. Japanese (ShiftJIS) language and templates translation update
   (thanks to Captain James and Interactive Artists, LLC, james.AT.ActionMessage.com)
3. auto adjust the background image url in case openwebmail has been 
   reinstalled in different location
   (suggested by Scott Mazur, scott.AT.littlefish.ca)
4. uty/fixrc.pl, a small uty to modify the .openwebmailrc for all users
   (thanks to Scott Mazur, scott.AT.littlefish.ca for his code)


04/24/2003
----------
1. add options header_pluginfile, footer_pluginfile to openwebmail.conf.default
   These options can used to plugin text file or output of other programs 
   into most main pages of openwemail.
2. fix a bug that a message in sent folder would be overwritten
   if it was used as a source of draft for another latterly sent message
   (reported by Klaus F. Abel, kfabel.AT.users.sourceforge.net)


04/23/2003
----------
1. fix a bug that ow_htmlutl could not be set to /
   (reported by Gertjan Koetsier, gertjan.koetsier.AT.networksforyou.com)
2. fix a bug that inbox size was not devided by 1024 for unit k 
   when compared with spool_limit
   (reported by Thomas Chung, tchung.AT.openwebmail.com)
3. cut INBOX in cutfoldermails() only if option use_homedirspools is 
   set to yes


04/22/2003
----------
1. untaint all argument for exec() to avoid 'Insecure dependency' error
   (reported by dlehoang.AT.users.sourceforge.net)
2. fix to guess_language() to make it works with more languages
   (thanks to Daniel Hasan, dhasan.AT.accesstime.net)
3. output sys error msg ($!) in openwebmailerror()


04/21/2003
----------
1. Serbian languageand templates translation update
   fix a bug that the charset for Serbian was not defined in ow-shared.pl
   (thanks to Aleksandar Pejic, alexa.AT.yunord.net)
2. Portuguese Brazil language and templates translation update
   and holiday file added.
   (thanks to Julio Cesar Cunha, julio.AT.cnm.org.br)
3. better compatibility with IE5.5 for filename of attachment in downloading


04/20/2003
----------
1. Ukrainian language and template files translation update
   (thanks to Volodymyr M. Lisivka, lvm.AT.mystery.lviv.net)
2. fix a bug in webdisk that & char in pathname was not properly 
   escaped when displayed in showdir
   (reported by tchuang.AT.turtle.ee.ncku.edu.tw)
3. fix a bug that quota_module specifed in user conf won't work.
   (reported by Thomas Chung, tchung.AT.openwebmail.com)


04/19/2003
----------
1. simplify API of quota module.
   and switch ruid/euid to root before calling the quota routine
2. Italian language and templates translation update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)
3. Bulgarian language and template files translation update
   (thanks to Veselin Slavov, vess.AT.vess.bnc.bg)


04/18/2003
----------
1. fix a bug that easter based dates won't show on calendar reminder in msglist
   (reported by Gertjan Koetsier, gertjan.koetsier.AT.networksforyou.com)
2. fix the 'Not privileged' error with quota_unixfs.pl


04/17/2003
----------
1. check redirect destination in vuser editing
   disbale 'deletion' of user on vdomain admlist
   (thanks to Littlefish Operator, operator.AT.littlefish.ca for his code)


04/16/2003
----------
1. add option vdomain_mailbox_command to openwebmail.conf.default
   and fix some bug related to virtual user aliases
   vdomain_mailbox_command can be used to pipe mails for virtual users 
   to procmail for mail filtering
   (thanks to Littlefish Operator, operator.AT.littlefish.ca for his code)
2. new mirror site at Amsterdam, Netherlands
   http://openwebmail.roel.net/
   (thanks to Roel van der Made, roel.AT.roel.net)
3. disable the encode of german umlaut for in maildb.pl because of 
   compatibility problem with languages using double-byte characters
4. remove 'mailto:' from CGI param('to') in openwebmail.pl for IE
   so correct email address can be put in To: field 
   when openwebmail is used as default mail client
   (thanks to Sergiy Zubatiy, sergey_sd.AT.users.sourceforge.net)
5. fix a bug in ow-shared.pl which might pass wrong param to timegm()
   This bug is introduced by patch 1 at 04/10/2003
   (reported by Remco Mels, remco.AT.mels.nl)
6. default_language can be set to 'auto' now.
   Openwebmail will guess the default language for login screen and new user
   based on the enviroment variable HTTP_ACCEPT_LANGUAGE


04/15/2003
----------
1. reimplement the quota system in openwebmail
   a. all modules (webmail, webcal, webdisk) share same set of quota settings.
   b. different quota systems can be used in openwebmail by loading them as module. 
      Two quota modules are available now: quota_unixfix.pl and quota_du.pl
   c. old quota options were removed, including:
      folderquota, folderusage_thresold, cutfolders_ifoverquota, webdisk_quota
   d. new quota options were added, including:
      quota_module, quota_limit, quota_threshold, 
      delmail_ifquotahit, delfile_ifquotahit
2. add option enable_history to openwbemail.conf.default
3. add option spool_limit to openwebmail.conf.default
4. encode german umlaut for html in maildb.pl and all de templates
   (thanks to Martin Bronk, Martin.AT.Bronk.de)
5. fix the bug that group address will be lost after addressbook import
   (reported by Niall Walsh, niall.AT.pembrokecricket.com)
6. uty in cgi-bin/openwebmail/uty/addrbook_hotmail2owm.pl, 
   which can be used to convert hotmail addressbook to openwebmail
   (thanks to Niall Walsh, niall.AT.pembrokecricket.com for his code)


04/10/2003
----------
1. capture err from timegm() routine to fix the problem that
   some messages with invalid date field may cause CGI internal server error
ps: the bug was introduced by patch 1 at 04/08/2003
2. fix a typo error in ow-shared.pl that gmtim() was used instead of gmtime()
   (reported by Cyril SABATIER, c.sabatier.At.bocquet.com)
ps: the bug was introduced by patch 1 at 04/10/2003


04/09/2003
----------
1. implement is_dst() routine to calc daylight saving time for all timezones.
ps:Since timezone can't be switched through TZ enviro since perl 5.8,
   the is_dst value returned by perl localtime/gmtime is for server timezone only
2. Portuguese Brazil language and templates translation update
   Iconset Cool3D.PortugueseBrazil major update
   (thanks to Julio Cesar Cunha, julio.AT.cnm.org.br)
3. Deutsch prefs.template update
   (thanks to Martin.Bronk.AT.colt.de)


04/08/2003
----------
1. clean code of timestamp related routines
2. add daylightsaving option (auto/on/off) to user preference to
   fix daylightsaving problem in all timestamps
   (reported by Cyril SABATIER, c.sabatier.At.bocquet.com,
                Remco Mels, remco.AT.mels.nl,
3. fix a bug in message compose window that info of originated message 
   won't be passed through iconv() for charset conversion
   (reported by James Briggs, james.AT.ActionMessage.com)
4. fix a bug in openwebmail.pl that newly created domainhome would have 
   wrong permission which prevents the following access to user homedir.
   (reported by Aboobacker Valappil, aboo.AT.aboosplanet.com)
5. if the msg transmission time is longer than 7 days or smaller than -1 day
   we assume sender host may have wrong time confiuration and 
   use delivery time instead of sending time as message timestamp


04/05/2003
----------
1. add new button "forard as original" button to compose message window
   (thanks to Dattola Filippo, filippo.AT.sms.it for his patch)
ps:Please refer to faq for the difference between forward, forwardasatt
   and forwardasorig


04/04/2003
----------
1. fix typo error in auth_pam.pl which caused changepwd failed
   (reported by Louie Ching, fitman.AT.users.sourceforge.net) 
2. show 'please wait' while doing uploading in webdisk
3. fix a bad behavior introduced by patch 2 04/03/2003
   which tried to always use http for images
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
4. French help tutorial translation
   (thanks to Frederic GLISE, fred.AT.forceinfo.net)


04/03/2003
----------
1. fix a typo error in error msg in auth_vdomain.pl
2. add a new option forced_ssl_login to openwebmail.conf.default
3. fix a bug in openwebmail-send.pl that cause old msg saved-drafts 
   not being deleted. It was due to the use of LOCK_EX before a readonly 
   dbmopen, which caused the "Resource temporarily unavailable" error
   in dbmopen if underlying dbm system is GDBM.
   (reported by Meesha, HyperTGP.com, meesha.AT.hypertgp.com)


04/02/2003
----------
1. Serbian language translation minor update
   (thanks to Aleksandar Pejic, alexa.AT.yunord.net)


04/01/2003
----------
1. use time()-1 for timestamp of session file, .pop3.check and .trash.check
   to ensure nfs client time won't be replaced on nfs server side
2. code clean to syncronize the format of logged messages
3. put logindomain param back to login page when user logout or login failure
   (thanks to Scott Mazur, scott.AT.littlefish.ca for his fix)
4. fix openwebmail-send.pl
   a. log the success or failure of mail sending
   b. timeout=20 if only one recipient for quicker response.
      timeout=90 for more than one recipients, 
      so dns timeouted reciptents could be skipped properly
      (DNS timeout default=60)
5. fix a bug that attachment uploaded to message could not be viewed
   this bug was introduced by patch 2 at 03/31/2003
   (reported by tchuang.AT.turtle.ee.ncku.edu.tw)


03/31/2003
----------
1. test whether option savedsuid_support is required to be set 
   in openwebmail-tool.pl --init
2. extend the session time by updating timestamp of session file 
   instead of rewriting th whole file, minor speed improvement.


03/29/2003
----------
1. Urdu language and templates translation
   (thanks to Muhammad Umair Abbasi, umair.AT.khi.wol.net.pk)
2. easter day support in calendar
   (thanks to Dugal James P., jpd.AT.louisiana.edu for his patch)
3. new option ow_holidaysdir to define the directory for holiday files


03/27/2003
----------
1. clean init code in all openwebmail*pl
2. fix a bug in auth_unix*.pl and auth_pam*.pl that
   get_userinfo() won't success if passwd is from a command pipe
   eg: "/usr/bin/ypcat passwd|"   
   (reported by Dugal James P., jpd.AT.louisiana.edu)
3. support to list packages used by perl dbm system 
   in openwebmail-tool.pl (with --test option) and dbmtest.pl
4. fix a bug in auth_unix.pl and auth_unix_cobalt.pl that
   change_userpassword always return -3.
   This is due to the chlid process exit value was taken by SIG CHLD handler,
   so system() always get error even command is actually done successfully.


03/26/2003
----------
1. Hebrew language and templates translation
   (thanks to Yehuda Drori, yehuda.AT.whatsup.org.il)
2. chmod of /etc/virtusertable dbm to 644 so it can be read in user uid
3. fix a bug that -a option of openwebmail-tool.pl doesn't work
   (reported by Pawel Jablonski, pawelj.AT.lodz.dialog.net.pl)
4. skip lines with leading # when getting user list from passwd file


03/25/2003 (version 2.00)
----------
1. better handle of zombie
2. make preload.pl a CGI program and move it to cgi-bin/openwebmail/.
   So sysadm can preload openwebmail through web interface.


03/24/2003
----------
1. read openwebmail.conf.default only once if in persistent mode,
   this improves performance slightly.
2. read each template file only once if in persistent mode,
   this improves performance slightly.
3. don't convert '&' char in html when it is leading char of a unicode &#NNNN
   (reported by chkang.AT.turtle.ee.ncku.edu.tw)
4. new document: doc/loginprocess.txt
   This describes the process of user login in a very detail.
5. add french letters table to openwebmail-spell.pl
   (thanks to Mario Gaucher, zadig.AT.zadig.ca)
6. fix a bug in openwebmail-spell.pl that message may go wrong 
   if the prefs charset is not the same as the charset of browser default
   (reported by Pawel Jablonski, pawelj.AT.lodz.dialog.net.pl)
7. small script uty/preload.pl, it can be used to preload openwebmail scripts
   in persistent mode, so user won't encounter script firsttime startup delay.
8. move all webpage output to the end of each routine
   This removes the need of global variable $headerprinted


03/23/2003
----------
1. new option domainname_equiv to openwebmail.conf.
   This is useful if you want to use the per site conf file.
2. if option use_syshomedir=no && auth_withdomain=yes

   homedir for virtual domain user is changed
   from $config{'ow_usersdir'}/user@domain 
   to   $config{'ow_usersdir'}/domain/user

   per user conf for virtual domain user is changed 
   from $config{'ow_usersconfdir'}/user@domain 
   to   $config{'ow_usersconfdir'}/domain/user


03/18/2003
----------
1. turn auth modules into openwebmail::auth_module package so they won't 
   collide in one namespace. This improves the performance in persistent 
   mode by eliminating the need of reloading auth file for each request
2. clean code of auth modules to make them more friendly to persistent CGI
3. move variable pop3_authserver pop3_authport in auth_pop3.mail
   to openwebmail.conf.default option
4. add a new option cache_userinfo to openwebmail.conf.default
   it caches userinfo in per session base to reduce requests to auth module
   this gives some speedup if auth system is remote server or database
5. new mirror site at Los Angeles, California, USA
   http://openwebmail.lagmonster.org 
   (thanks to Taz Meister, taz.AT.lagmonster.org)
6. remember caller for composemessage to make its backto button point 
   right place


03/16/2003
----------
1. fix a typo error in saveprefs in  openwebmail-prefs.pl
   the err was introduced by the patch at 03/15/2003
   (reported by at lantisyaoo, atlantisyaoo.AT.yahoo.com.tw)


03/15/2003
----------
1. turn lang files into openwebmail::langname package so they won't collide 
   in one namespace. This improves the performance in persistent CGI mode
   by eliminating the need of reloading lang file for each request


03/14/2003
----------
1. update the document about "openwebmail + vm-pop3d + postfix" 
   owmvirtual.html
   (thanks to Kevin L. Ellis, kevin.AT.bluelavalamp.net)
2. fix code in openwebmail-cal.pl openwebmail-spell.pl and openwebmail-tool.pl
   which would cause closure effect under persistent running.


03/13/2003
----------
1. clean code. Openwebmail runs with SpeedyCGI now!!!
   Not: This has not been test throughly, use at your own risk.
   Please refer to http://www.bluelavalamp.net/owmspeedycgi/ for more detail
   (thanks to Kevin L. Ellis, kevin.AT.bluelavalamp.net)

ps:SpeedyCGI: http://www.sourceforge.net/projects/speedycgi/

2. Polish language and templates translation update
   (thanks to Pawel Jablonski, pawelj.AT.lodz.dialog.net.pl)
3. fix a bug in webdisk which would treat unix specific files (fifo, dev...)
   as directory


03/12/2003
----------
1. code clean for better compatibility with virtual users
2. user files under ow_usersdir/username will be owned by user uid 
   instead of root
3. rename options in openwebmail.conf.default
   use_homedirfolders -> use_syshomedir
   create_homedir     -> create_syshomedir
4. better support for uuencoded attachment in message body
5. change the account string comparison in auth_mysql.pl
   from case insensitive to case sensitive
   (Thanks to Victor Moral., victor.AT.esfera.cl)


03/11/2003
----------
1. more fix to auth_vdomain.pl
   a. change mode of virtual domain home to 750 instead 755 
   b. correct vdomain_vmpop3_path to vdomain_vmpop3_pwdpath
   (thanks to Scott Mazur, scott.AT.littlefish.ca for his fix)
2. little speedup by removing the dependence of FileHandle.pm


03/10/2003
----------
1. remove openwebmail.net from mirror sites
2. update the document about "openwebmail + vm-pop3d + postfix" 
   owmvirtual.html
   (thanks to Kevin L. Ellis, kevin.AT.bluelavalamp.net)
   

03/09/2003
----------
1. Serbian language and template files translation
   (thanks to Aleksandar Pejic, alexa.AT.yunord.net)
2. add option vdomain_maxuser to openwebmail.conf.default
   (suggested by Kevin L. Ellis, kevin.AT.bluelavalamp.net)
3. fix a bug that the chinese filename of a mail attachment will be converted 
   into unicode number when saving the attachment to webdisk
4. check if the user is one of the vdomain_admlist in openwebmail-vdomain.pl


03/08/2003
----------
1. make user interface of all sub options of user preference consistent
2. fix a bug in auth_vdomain.pl which made it unable to find the correct 
   passwd file for virtual domain
   (reported by Kevin, kevin.AT.bluelavalamp.net)


03/07/2003
----------
1. allow logindomain parameter in URL when link to the login page
   eg: https://sample.com/openwebmail/openwebmail.pl?logindomain=vdomain1.com
   This gives the chance to use SSL on multiple virtual domains with same https url
   since apache only allow SSL for one virtual domain.
   (thanks to scott.AT.littlefish.ca for his code)
2. add preference option to set the repentness of the background image
   (suggested by Thomas Chung, tchung.AT.openwebmail.org)
3. fix a bug that msg sort option in preference won't have any effect
   (reported by Daniel McCarty, damccart.AT.user.sourceforge.net)
4. fix a bug that openwebmail won't bypass check of b2g/g2b/lunar db
   even the b2g/g2b/lunar maps were set to none


03/06/2003
----------
1. new auth module: auth_vdomain.pl
   It is designed to authenticate virtual users on vm-pop3d+postfix systems
   Please see the description inside the module for more detail
2. Danish language and templates translation update
   (thanks to /Frank, frank.AT.post12.tele.dk)


03/04/2003
----------
1. better check for the symlink files in webdisk
2. check if the file is mailspool and do not display it 
   if the option webdisk_lsmailfolder is set to no
   (suggested by Jeroen Visser, openwebmail.AT.zeephod.dyndns.org)
3. Ducth language tranlsation minor update
   (thanks to Jeroen Visser, openwebmail.AT.zeephod.dyndns.org)


03/03/2003
----------
1. new module: openwebmail-vdomain.pl
   It is designed to manage the vm-pop3d/postfix virtual domain users.
   (thanks to Bernd Bass, owm.AT.adminsquare.de)
2. new iconsets: XPRed, XPGreen, XPBlue and XPPurple
   (thanks to Alexander Mutsaers, openwebmail.AT.mutsaers.net)
3. fix a bug in webdisk that passed unsupported option v to cp, rm and mv 
   on solaris
   (reported by F. M. Hsu, fmhsu.AT.life.nthu.edu.tw)
4. fix a bug in addressbook that the ' char was not escaped for javascript
   (reported by Alan, afitz.AT.users.sourceforge.net)


03/02/2003
----------
1. Chinese GB language and templates translation update
   (thanks to Wang Jun, wjun.AT.mail.iap.ac.cn)
2. Arabic ar.CP1256 and ar.ISO-8859-6 language and translation update
   (thanks to Isam Ishaq, isam.AT.planet.edu)


03/01/2003
----------
1. Portuguese Brazil help tutorial translation
   (thanks to Edison Figueira Junior, edison.AT.brc.com.br)
2. fix a bug that option webdisk_rootpath has no effect in message attachments
   adding and saving.
   (reported by Edwin Lee, edwinlee2000.AT.users.sourceforge.net)
3. fix a bug that Cc field won't be taken in message forwarding and reply
   (reported by Thomas, treisinger.AT.users.sourceforge.net)
4. Ukrainian language and template files translation update
   (thanks to Volodymyr M. Lisivka, lvm.AT.mystery.lviv.net)
5. correct the the error related to trashreserveddays in openwebmail.conf.help
   (thanks to Thomas Chung, tchung.AT.openwebmail.org)


02/26/2003
----------
1. english help tutorial update
   (thanks to Brent Epp, brent.AT.pdcweb.net
          and William Brillinger, billy.AT.pdcweb.net) 
2. improved search function, it will do charset conversion 
   if the message charset is not the same as the preference charset


02/25/2003
----------
1. Czech language and templates translation update
   (thanks to Pavel Schauer, schauer.AT.dp.fyz.fce.vutbr.cz)
2. Portuguese Brazil language and templates translation update
   (thanks to  Vladimir M Costa, vlad.AT.univap.br)
3. Slovak language and templates translation update
   (thanks to lubos klokner, lubos.AT.klokner.sk)
4. add option webdisk_rootpath to openwebmail.conf.default.
   It is used to specify the additional path under user homdir as the 
   webdisk root directory


02/24/2003
----------
1. Not sending Content-Disposition header to IE5.5 in webdisk
   (http://support.microsoft.com/default.aspx?scid=KB;en-us;q281119)
2. Dutch language and templates update
   (thanks to Jeroen Visser & Robert den Ouden, openwebmail.AT.zeephod.dyndns.org)


02/23/2003
----------
1. Italian language and templates translation update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)


02/22/2003
----------
1. add option enable_smartfilters to openwebmail.conf.default
   (suggested by Thomas Chung, tchung.AT.openwebmail.org)
2. Bulgarian language and template files translation update
   (thanks to Veselin Slavov, vess.AT.vess.bnc.bg)
3. fix a bug that @@@HELP_TEXT@@@ in openwebmailerror msg wasn't translated
   (reported by Javier Smaldone, jsmaldone.AT.yahoo.com)
4. Spanish language and templates translation minor update
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)
5. new mirror site at SELANGOR, Malaysia
   http://openwebmail.openbsd.org.my/
   (thanks to Ahmad Faisal, faisal.AT.MyBSD.org.my)


02/21/2003
----------
1. fix a bug that default_realname defined in user.conf won't be loaded
   (reported by lubos klokner, lubos.AT.klokner.sk)
2. confirm on calendar item deletion
   (suggested by Martin Gignac, lmcgign.AT.mobilitylab.net)
3. fix a bug that replyto in preference couldn't be changed in outgoing msg
   (reported by Grant Swenson, grantuous.AT.users.sourceforge.net)
4. more fix to patch 6 in 02/20/2003 so it can work with solaris
5. Hungarian language and templates translation update
   (Thanks to Peter Gervai, grin.AT.grin.hu)
6. move helpurl from pagefooter.template to openwebmail.conf.default
   for easier customization
   (suggested by Tom Smith, tomcyber.AT.users.sourceforge.net)
7. the order of the fields in folderview is customizable now.
   (suggested by Scott E. Campbell, scampbel.AT.gvpl.ca)


02/20/2003
----------
1. add option --thumbnail to openwebmail-tool.pl
2. fix a security bug that local user can execute his perl script with root
   (thanks to pokleyzz, pokleyzz.AT.scan-associates.net)
3. introduce path config file /etc/openwebmail_path.conf.
   On systems not passing perl script name as $0, openwebmail will rely
   on this file to know the directory it locates.
4. fix a bug that user preference won't be carried between release upgrade
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
5. fix a bug that message in sent folder with multiple receivers will be 
   display incorrectly
   (reported by Fr. Visminlu Vicente L. Chua, S.J.,chuavv.AT.mail.savs.hcc.edu.tw)
6. fix the problem that aliased user defined in virtusertable could not be found
   (reported by Moke Tsing, moke.AT.amc.com.sg)
ps:This was due to a bug in filelock.pl which caused owm not be able to do LOCK_SH 
   on a readonly file. 


02/19/2003
----------
1. fix a bug in openwebmail-main.pl which made the new mail notification 
   sound stop to play in refresh mode.
   (reported by Grant Swenson, grantuous.AT.users.sourceforge.net)
2. fix a bug in openwebmail-send.pl introduced by patch 1 at 02/17/2003
   (reported by Cyril SABATIER, cyril.AT.bocquet.com)
3. fix a bug in edit calendar which would duplicate entries in 24 hour mode
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
4. add personal dictionary support to spellcheck
   (thanks to Scott E. Campbell, scampbel.AT.gvpl.ca for his code)
5. fix the null signature check in openwebmail-send.pl
   (reported by Florian Effenberger, florian.AT.effenberger.org)
6. add 'smart destination' option to preference
   (thanks to Jason Bodnar, jason.AT.shakabuku.org for his patch)
7. add YouGotMail.Portuguese.wav to sound/ directory
   (thanks to Jose Ferradeira, jferra.AT.sfconsultores.pt)


02/18/2003
----------
1. more fix to openwebmail-cal.pl for new dayview code
2. support user customizable time interval for web calendar dayview
   (suggested by Alex Teslik, ateslik.AT.users.sourceforge.net)
3. fix some typo error related to user preference option names


02/17/2003
----------
1. fix a bug in openwebmail-send.pl which won't do charset conversion for 
   utf-8
   (reported by Vicente Chua, chuavv.AT.users.sourceforge.net)
2. rewrite of dayview in calendar
   (thanks to Alex Teslik, ateslik.AT.users.sourceforge.net for his patch)
3. Spanish prefs.template translation minor update
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)
4. change $check_shell in auth_unix.pl and auth_unix_cobalt.pl from 1 to 0 
   so users without valid shell can still use webmail.
   (suggested by Thomas Chung, tchung.AT.openwebmail.org)


02/14/2003
----------
1. Portuguese language and templates translation update
   (thanks to Jose Ferradeira, jferra.AT.sfconsultores.pt)
2. new auth module: auth_vm-pop3d.pl
   (thanks to scott.AT.littlefish.ca for his code)


02/13/2003
----------
1. French language and templates translation update
   (thanks to Nabil SEFRIOUI, admin.AT.osmium-work.com)
2. fix two bugs in addressbook introduced by the patch at 02/08/2003
   a. group address could not be defined
   b. click on checkbox of an email will call a non-existing javascript 
      routine UpdateCheckbox()
3. clean code of addressbook


02/12/2003 (version 1.90)
----------
1. user preference item rearrangement for better readability


02/11/2003
----------
1. Czech language and templates translation update
   (thanks to Pavel Schauer, schauer.AT.dp.fyz.fce.vutbr.cz)
2. add default filter support to addressbook
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com for his code)


02/08/2003
----------
1. Deutsch language and templates translation update
   (thanks to Christian Schoepplein, mail.AT.schoeppi.net)
2. addressbook popup enhancement
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com for his code)
3. Italian language translation update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)


01/31/2003
----------
1. fix a bug in message date field parser which didn't work correctly with 
   named timezone
   (reported by Matt Roberts, matt.AT.dworkin.org)
2. Norwegian language, templates and Cool3D iconset translation update
   (thanks to Are Tysland, are.AT.valinor.dolphinics.no)


01/30/2003
----------
1. fix a bug in pop3mil.pl which would duplicate the records of pop3 hosts
   (reported by Brenden Gilbert, brenden_gilbert.AT.users.sourceforge.net)


01/29/2003
----------
1. Hungarian language and templates translation update
   (thanks to Nagy Endre, gumo.AT.lucifer.kgt.bme.hu)
2. Turkish language and template files translation and Cool3d iconset update
   (thanks to Erdinc Guler, eguler.AT.aegee.metu.edu.tr)


01/24/2003
----------
1. fix a minor problem that messageid generated since 01/15/2003 will be ended 
   with char '>'
2. fix a bug in calendar that weekview doesn't respect the weekstart setting in
   user preference
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)


01/23/2003
----------
1. Arabic ar.CP1256 and ar.ISO-8859-6 language and translation minor update
   add more path to search in routine findbin in webdisk
   fix the typo error that $lang_text was written as lang_text
   (thanks to Isam Ishaq, isam.AT.planet.edu)
2. Bulgarian language, template update
   (thanks to Veselin Slavov, vess.AT.vess.bnc.bg)
3. Spanish language and templates translation minor update
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)


01/22/2003
----------
1. fix parameter to convert so the exif data can be removed when generating 
   thumbnail files
2. change thumb to thumbnail for better readability
3. fix the problem in generating thumbnail for composited gif file.
4. minor to to webdisk so an image related thumbnail will be removed 
   when the image is removed.
5. change umask to 0022 instead of 0077 so webdisk creates dir or files
   with world readable by default.
6. Spanish language and templates translation update
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)
7. French language and templates translation update
   (thanks to Stephane HERMET, hermet.AT.narrowstream.net)


01/21/2003
----------
1. fix a bug in openwebmail-send.pl that the charset was not switched correctly 
   when a user choose to reply a message with the message charset instead of 
   the preference charset
2. add thumbnail support to webdisk for jpeg, bmp, tif :)
3. new option webdisk_allowthumbnail and webdisk_readonly in 
   openwebmail.conf.default


01/20/2003
----------
1. Arabic ar.CP1256 and ar.ISO-8859-6 language and translation update
   minor correction to calendar and webdisk for LTR language
   change 'today' to 'this day' in calendar for better readability
   (thanks to Isam Ishaq, isam.AT.planet.edu)
2. support every_odd_month and every_even_month event in calendar
   (suggested by 張親民(8459), cmc.AT.m5.fet.com.tw)
3. Slovak language and templates update
   (thanks to lubos klokner, lubos.AT.klokner.sk)
4. fix typo error in webdisk which caused errormessage into a malform output
   (reported by lubos klokner, lubos.AT.klokner.sk)
5. smart html preview support in showdir() and editfile() in webdisk.
   All relative urls will be converted into requests for openwebmail-webdisk.pl
   automatically, so the html file and its related objects is not necessarily
   at ~/public_html
6. minor improvement of mail parsing speed in maildb.


01/19/2003
----------
1. fix a bug that delete button was missing in editfrom menu.
   (reported by NONE On-Board, nob.AT.tunnel.eu.org)
2. fix a bug in spell checking and option enable_strictpwd
   (thanks to Michael Tratz [ml-mails], mlist-mail.AT.Esosoft.net for his fix)
3. add 3 new options to openwebmail.conf.default for session control
   session_multilogin - used to enable/disable multi login
   session_checkcookie - used to enable/disable cookie check in a session
   session_checksameip - used to enable/disable sameip check in a session
4. fix a bug in safefoldername() which strip / from sub folder.
   (reported by Matt Roberts, matt.AT.dworkin.org)


01/18/2003
----------
1. add option auto_createrc to allow firsttime user to use webmail without
   setting the preference
2. release upgrade won't bother the user any more.
   the user preference will be updated automatically
3. correct a spelling error in language file
   (thanks to Martin Gignac, lmcgign.AT.mobilitylab.net for his fix)
4. minor fix to maildb.pl so link starting with # won't be touched in 
   html parsing
   (thanks to Prince Wang, Prince.AT.iqcat.com.tw for his fix)


01/17/2003
----------
1. add new option enable_strictfoldername and enable_strictforward
   to enable/disable strict checking on foldername and .forward file


01/16/2003
----------
1. fix a deadlock bug in routine execute, which happens if child process 
   generates too much output in its stderr
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
2. Lithuanian language and templates translation update
   (thanks to Alvydas Sinkunas, dvm382.AT.takas.lt)
3. Slovak language translation update
   (thanks to Peter Sedivy - PeSe, pese.AT.us.svf.stuba.sk)
4. fix a bug that overquota info will be displayed twice on top of folderview 
   if user quota is hit
   (reported by Isam Ishaq, isam.AT.planet.edu)


01/15/2003
----------
1. allow concurrent login of same user from same or different IP.
   The old version only allow concurrent login of same user from different ip.
   (reported by Robert Mangiafico, rmang.AT.users.sourceforge.net)
2. fix a bug that time in reminder in folderview doesn't obey the 12/24 hour 
   options in preference
   (reported by Matt Roberts, matt.AT.dworkin.org)
3. Clicking savedraft button will save message to draft but leave user in 
   composing window instead of the folderview window
4. auto save message into draft folder before session timeout
   (suggested by Burkhard Fischer, teliko.AT.users.sourceforge.net)
5. fix broken %sendposition definition in some language files
6. Portuguese Brazil language and templates translation update
   (thanks to  Vladimir M Costa, vlad.AT.univap.br)


01/14/2003
----------
1. code clean of openwebmail-cal.pl to generate more concise html code 
   (15k less) in monthview
2. rename option webdisk_sshterm to enable_sshterm


01/13/2003
----------
1. new option ctrlposition_folderview and ctrlposition_msgread
   to set the position of control bar in folderview and message reading
   (suggested by M. Umair Abbasi, mumairabbasi.AT.users.sourceforge.net)
2. fix a bug that put an extra save button in preference editing.
   (reported by Marvi Benedet, i3100579.AT.ingstud.units.it
            and M. Umair Abbasi, mumairabbasi.AT.users.sourceforge.net)
3. Italian language and templates translation update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)
4. fix a bug in edit stationery which didn't show edit/delete button to user
   (reported by Thomas Chung, tchung.AT.openwebmail.org)
5. fix a trick bug in striping directory part from a chinese pathname
   the old version of zh_dospath2fname would got garbage output on perl 5.8.0.
   I believe perl 5.8.0 may has problem in the miantaining the $1 after pattern 
   matching.
6. call window.print() when user click the print button in message reading
7. fix a bug that stat with title containing space can't be deleted
   (reported by Thomas Chung, tchung.AT.openwebmail.org)


01/11/2003
----------
1. further code clean and layout change
   put prefs button in readmessage, calendar and webdisk
2. fix a bug in prefs which was introduced in the above fix
3. fix the bug that cancelbutton appeard as @@@CENCELBUTTON@@@ 
   at user firsttime login
4. clean code of openwebmail-cal.pl


01/10/2003
----------
1. turn all blocking lock into a nonbloking lock with timeout=120 seconds
   This would prevent openwebmail to be hang in obtaining the lock of
   specific file.
2. code clean to ensure resonable behavior in the failure of a blocking lock.
3. new mirror site at London, UK
   http://openwebmail.luxmi.net/
   (thanks to LuxmiNET, hostmaster.AT.luxmi.net)
4. some layout change to make more room for menubar icon buttons


01/09/2003
----------
1. fix a tricky bug in zh_dospath2fname which may lock itself in foreverloop
2. add two script debugadd.pl and debugdel.pl in  uty/ for easier debugging
3. support LZH archive in webdisk
4. Polish template files translation update
   (thanks to Mikolaj Menke, miki.AT.z.pl)


01/08/2003
----------
1. fix the codemap range for big5/gb2312
   rename big5_dospath2fname to zh_dospath2fname


01/07/2003
----------
1. fix a minor bug in webdisk that checkall box will alter the singlepage checkbox
2. change timeout in mindterm java applet starting page to 60 second for
   better compatibility.
   (thanks to Thomas Chung, tchung.AT.openwebmail.org for his fix)
3. use cookie in webdisk to remember last visited directory
4. clean script and template files to remove redundant html code
   (suggested by Matt Roberts, matt.AT.dworkin.org)
5. French language and templates translation update
   (thanks to Stephane HERMET, hermet.AT.narrowstream.net)
6. fix the big5/gb2312 codemap range in script.
   fix the attachment filename problem of big5 with routine big5_dospath2fname
   (reported by jacky, jacky.AT.hkyes.net)


01/06/2003
----------
1. new mirror site at Beijing, China
   http://openwebmail.nlc-digital.com.cn
   (thanks to Zhiyao Li, lizy.AT.nlc-digital.com.cn)
2. Spanish language and templates translation update
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)
3. Czech language and templates translation update
   Cool3D.Czech iconset update
   (thanks to Jan Bilik, jan.AT.bilik.org)
4. fix bugs in webdisk
   a. a java script error which set focus to a visible only text field
   b. a bug that caused downloading of multiple file as zip not working
   c. find now do case insensitive matching
5. add option webdisk_lsmailfolder to openwebmail.conf.default
   It can be used to protect the mail folder from user access in webdisk


01/05/2003
----------
1. include Mindterm SSH Java applet v 1.21 in tar ball 
   to have ssh terminal support.
   (thanks to author Mats Andersson, mats.AT.mindbright.se 
    for putting this great software under GPL)


01/04/2003
----------
1. French language translation update
   (thanks to Stephane HERMET, hermet.AT.narrowstream.net)
2. fix a bug that singlepage/showhiddentfile won't work in file selection
   when adding attachment from webdisk
3. fix a bug in webdisk which would stop moving files if duplicates found
4. add filename search and content search for webdisk.


01/03/2003
----------
1. improve the webdisk to support attachment copy between message and webdisk
2. change routine set_euid_egid to set_euid_egids to support multiple egids
3. fix a type error in webdisk which stop upload from working
   (thanks to Thomas Chung, tchung.AT.openwebmail.org for his fix)


01/02/2003
----------
1. fix a minor bug in webdisk which broke the compress function
2. Spanish help tutorial translation
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)
3. fix a minor bug that webdisk won't list the first item in a dir if in 
   single page mode
4. Spanish language and template files update
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)


01/01/2003
----------
1. change the unit from mb to kb for options attlimit and webdisk_uploadlimit


12/31/2002
----------
1. new module: openwebmail-webdisk.pl, which added the webdisk support to 
   openwebmail. Each user can use his homedir as a virtual disk and
   all operation will be limited inside this virtual disk for better security.
2. Spanish language and template files update
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)
3. Japanese (ShiftJIS) language and templates translation minor update
   (thanks to Captain James and Interactive Artists, LLC, james.AT.ActionMessage.com)


12/27/2002
----------
1. fix a bug in editing a draft message written with charset other than the one 
   set in user preference


12/26/2002
----------
1. Thai language and templates translation update
   (thanks to Atsawin Chaowanakritsanakul, joke.AT.nakhon.net)


12/23/2002
----------
1. rename firsttimeuser.tmeplate to userfirsttime.template
   add userprefs.template for better description of user preference update in
   release upgrade


12/22/2002
----------
1. option start_url is used in all place for openwebmail login
   (suggested by Meaulnes Legler, meaulneslegler.AT.users.sourforge.net)
2. fix a bug related to To: field when only Bcc is used for recipents
   (reported by SuperLight, superlight.AT.superlightdns.twbbs.org)


12/19/2002
----------
1. fix a security bug related to siteconf and auth_module
   (thanks to Dmitry Guyvoronsky, demiurg.AT.altaee.com)
2. change folderdir when use_homedirfolders is 'no'
   from cgi-bin/openwebmail/etc/users 
   to   cgi-bin/openwebmail/etc/users/mail
   This is a preparation for the webdisk in the near future :)
3. set umask to 0077 instead of 0002 when use_homedirfolders is 'no'
4. add --no option to openwebmail-tool.pl 


12/18/2002
----------
1. new mirror site at Yambol, Bulgaria
   http://openwebmail.unibg.org/
   (thanks to Nikolay Georgieff, nikolay.AT.hq.georgieff.org)


12/17/2002
----------
1. allow shell to be null in the auth_unix.pl and auth_unix_cobalt.pl
   (thanks to Simone Guarino, guarino.s.AT.irea.cnr.it)
2. allow eventcolor change by clicking the color number
3. remove unclosed </font> tag in calendar related templates
   (reported by meaulneslegler.AT.users.sourceforge.net)


12/14/2002
----------
1. minor change to index.html
2. again, minor correction to the traditional chinese and simplified chinese help


12/13/2002
----------
1. minor correction to the traditional chinese and simplified chinese help


12/12/2002
----------
1. add 'refresh' button to folders menu, it checks the db indexes for all
   folders and update them if required.
   (suggested by Alan Stone, alanstone.AT.users.sourceforge.net)
2. new mirror site at Oradea, Romania, Europe. 
   http://mirrors.atn.ro/Openwebmail/
   (thanks to Bogdan Parcalab, b.parcalab.AT.atlastelecom.ro)
3. fix a minor in page number counting
   (reported by Meesha, HyperTGP.com, meesha.AT.hypertgp.com)
4. traditional chinese help tutorial translation
   (thanks to Alex Huang, hoswin.AT.ms32.hinet.net)
ps:simplified chinese help tutorial is converted from this version


12/11/2002
----------
1. fix a serious bug in openwebmail-folder.pl which makes all operations
   into folderdelete. This bug was introduced by the patch at 12/05/2002
2. fix a error in advsearch.template. The relation between the three 
   expressions should be AND, not OR.


12/10/2002
----------
1. minor change to mime.pl for smarter encoding of a mime word.
   (thanks to James Briggs, james.AT.ActionMessage.com for his helpful opnions)
2. drop the euid root in critical operations for better security
   (eg: rebuild index, zap trash, size check. alluser op)


12/09/2002
----------
1. fix a bug in openwebmail-send.pl which didn't convert the charset of the 
   attached files to the sendcharset(the charset used for outgoing message) 
   before the message is sending
   (reported by James Briggs, james.AT.ActionMessage.com)
2. fix a bug in mime.pl which didn't encode the char \x00-\x1f in 
   encode_mimeowrds


12/08/2002
----------
1. fix a bug in openwebmail-send.pl which saved the draft index without 
   espcaing @ char in from, to, subject field 
   (reported by Tzu-Chun Huang, tchuang.AT.turtle.ee.ncku.edu.tw)


12/06/2002
----------
1. support weekstart at any day in a week
   add option default_charset to openwebmail.conf.default
   (suggested by Isam Ishaq, isam.AT.planet.edu)
2. Danish language and templates translation minor update
   (thanks to /Frank, frank.AT.post12.tele.dk)
 

12/05/2002
----------
1. support Alt-Key shortcuts for most buttons in openwebmail.
   This could be helpful for some users.
   Please refer to doc/accesskey.txt for all shortcut keys.


12/04/2002
----------
1. new Arabic language and template translation (ar.ISO8859-6)
   original Arabic lang and templates are renamed to ar.CP1256
   (thanks to Isam Ishaq, isam.AT.planet.edu)
2. new mirror site at Czech Republic
   http://dp.fce.vutbr.cz/openwebmail/
   (thanks to Pavel Schauer, schauer.AT.dp.fyz.fce.vutbr.cz)
3. rename is_R2Lmode to is_RTLmode
   switch direction of arrows by languages instead of charset.
   (corrected by Isam Ishaq, isam.AT.planet.edu)


12/03/2002
----------
1. fix a bug in openwebmail-tool.pl which showed the warning of DB_File.pm
   even the file has been patched
   (reported by Trevor Paquette, Trevor.Paquette.AT.TeraGo.ca)
2. Arabic language and template minor update
   fix a bug that unnecessarily reversed the arrow string direction
   (thanks to Isam Ishaq, isam.AT.planet.edu)
3. remove p option when execute uname for better compatibility
   (suggested by Marcelo Souza, xyo.AT.users.sourceforge.net)
4. Czech language and templates translation update
   (thanks to Pavel Schauer, schauer.AT.dp.fyz.fce.vutbr.cz)
5. fix a bug in clearstationery button which put a javascript in wrong place
   (reported by Pavel Schauer, schauer.AT.dp.fyz.fce.vutbr.cz)


12/02/2002
----------
1. Arabic language and templates translation
   (thanks to Isam Ishaq, isam.AT.planet.edu)
2. reverse the arrow direction for Right-to-Left charset
   eg: windows-1256 used by Arabic
   (suggested by Isam Ishaq, isam.AT.planet.edu)
3. fix a charset related bug in openwebmail-send.pl which missed one parameter
   when calling iconv routine and thus the charset conversion failed
   (reported by James Briggs, james.AT.ActionMessage.com)


12/01/2002
----------
1. support event color in web calendar
   (suggested by Jukka Liukkonen, murrmurr.AT.users.sourceforge.net)


11/30/2002
----------
1. escape the sessionid when saving a link to the web calendar.
   So any links that appears in openwebmail can be used as a link url 
   for a calendar event.


11/29/2002
----------
1. check the value of soundfile before testplay in preference
   (suggested by SuperLight, superlight.AT.superlightdns.twbbs.org)
2. improve the init check in openwebmail-tool.pl
3. support more folder check options in openwebmail-tool.pl


11/28/2002
----------
1. minor update to editstationey.template for big5 and gb2312
   (thanks to SuperLight, superlight.AT.superlightdns.twbbs.org)
2. Bulgarian language, template and Cool3D iconset update
   (thanks to Veselin Slavov, vess.AT.vess.bnc.bg)


11/27/2002 (version 1.81)
----------
1. minor change to openwebmail scripts to cover a bug in tell() in perl 5.8
   which would return wrong offset if it is called after open(F, ">>file");

ps:This is a serious bug which may corrupt the folder file in some case.
   If you are using perl 5.8 (eg: RedHat 8.0 uses perl 5.8 by default)
   a. upgrade your openwebmail to this version as soon as possible
   b. try to find a bug fix for your perl since other applications written 
      by perl may operate improperly due to this bug

ps:Open WebMail goes to version 1.81 because of this fix and 
   the popularity of Redhat 8.0

2. fix a pop3 bug introduced by patch at 11/26/2002
3. fix a bug in openwebmail-tool.pl that didn't show correct number of
   filtered message 


11/26/2002
----------
1. fix a bug that owm won't do reindex automatically when inconsistence found.
   (reported by Chio Tsan-Yuan, cty.AT.mail.scvs.tpc.edu.tw)

ps:This is due to different behavior of dbmopen in different versions of perls

   Description: if we lock a dbm then call dbmopen in same process,

                             if dbm is LOCK_EX           if dbm is LOCK_SH
                             -------------------------   ---------------------
   dbmopen(%H, dbm, 0600)    ok (a)                      ok (c)
   dbmopen(%H, dbm, undef)   failed in perl 5.8 (b)      ok (d)

   Case b has been removed in all scripts. Only case a and case d are used now.

2. fix a bug in pop3book related routines which would strip : from username 
   and password.
   (reported by Dieter Houthooft, woody.AT.lin-k.net)
3. add the following options to openwebmail.conf.default for easier customization
   ow_stylesdir, ow_langdir, ow_templatesdir
   ow_sitesconfdir, ow_usersconfdir, ow_usersdir, ow_sessionsdir
   (suggested by Heather Stern, starshine.AT.users.sourceforge.net)
4. add charset windows-1255 for Hebrew
   (suggested by Hetz Ben-Hamo, hetz.AT.witch.dyndns.org)


11/25/2002
----------
1. fix a bug in openwebmail-tool.pl which sent site report with incorrect 
   timezone
2. remove uid, gid and mailgid info from openwebmailerror output
   return 'password incorrect' instead of 'user not exist' for nonexisting user 
   login for better security
   (suggested by Felipe Neuwald, felipe.AT.freebsdbr.com.br)


11/24/2002
----------
1. check folder usage before moving old messages to saved folder


11/23/2002
----------
1. Slovak language and templates update
   Default.Slovak and Cool3D.Slovak iconset update
   (thanks to lubos klokner, lubos.AT.klokner.sk)
2. fix a bug in openwebmail-tool.pl which uses start time as the end time
   for event email notification
   (reported by William Preston, bspesq.AT.users.sourceforge.net)


11/22/2002 (version 1.80)
----------
1. fix a bug that real name won't be null even it is set to none in 
   openwebmail.conf or user preference
   (reported by Rob Mangiafico, rmang.AT.lexiconn.com)
2. fix minor typo error in openwebmail-tool.pl
   add option --yes to openwebmail-tool.pl


11/21/2002
----------
1. fix a bug introduced by patch in 2002/11/07 that spelling check won't
   work if dictionary is changed through dropdown menu
2. French language and templates translation update
   (thanks to Nabil SEFRIOUI, admin.AT.osmium-work.com)


11/20/2002
----------
1. fix a bug in openwebmail-tool.pl which didn't filter message correctly.
2. minor fix to openwebmail-read.pl to handle a message with wrong charset in 
   its mail header
3. Finnish language file translation update
   new iconset: Cool3D.Soumi
   (thanks to Kari Paivarinta, kari.paivarinta.AT.viivatieto.fi
          and Ville Alatalo, ville.alatalo.AT.viivatieto.fi     )
4. Polish templates translation minor update
   and set default focus to 'To:' field when composing new message
   (thanks to Andrzej Cuber REA JK THI, rea.AT.supermedia.pl)


11/19/2002
----------
1. fix a bug in openwebmail-read.pl which didn't escapeURL the messageid
   of prev/next message
   (thanks to Rob Mangiafico, rmang.AT.lexiconn.com for his fix)
2. send charset directive in showmsg javascript


11/18/2002
----------
1. fix a minor bug in openwebmail-tool.pl which prevented itself from 
   executing on platforms that run suid script through /dev/fd/ 
2. show more info of events in yearview
    (suggested by Jukka Liukkonen, murrmurr.AT.users.sourceforge.net)


11/16/2002
----------
1. rename openwebmail-shared.pl to ow-shared.pl
   rename checkmail.pl          to openwebmail-tool.pl
2. move db init routine from openwebmail.pl to openwebmail-tool.pl
3. slightly modify the strings related to charset setting


11/15/2002
----------
1. add option "always send message wint same charset" to user preference.
   This will do charset conversion before sending out the message.
   It is useful in case the charset used by web is not the same charset used 
   in mail message.(eg:Japanese)
2. fix a minor bug in calendar which would set year to 1970


11/14/2002
----------
1. switch language to english, charset to new charset
   if convert a message to charset different than the one set in user preference
2. adopt code from jcode.pl to iconv-japan.pl for japanese conversion.
   (suggested by James Briggs, james.AT.ActionMessage.com)
3. correct the window_id parameter in all window.open


11/13/2002
----------
1. add more charset to iconv.pl
2. correct a bug introduced by patch at 11/11/2002 which would disable the 
   function of send button in compose window
3. switch language to english, charset to message charset 
   if reading a convertable message in its original charset


11/11/2002
----------
1. add charset auto-onversion support for all languages.
   This feature needs the Text::Iconv module to be installed on the system.


11/08/2002
----------
1. Italian language and templates translation update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)
2. Default.Slovak and Cool3D.Slovak iconset update
   (thanks to lubos klokner, lubos.AT.klokner.sk)


11/07/2002
----------
1. fix a bug in ToTrash button which was introduced by the patch at 10/18/2002
2. add option in user preference to control the position of send button in
   composing form
   (suggested by Jonathan Hirshon, jh.AT.horizonpr.com)


11/06/2002
----------
1. add listview mode(aka todolist) to the web calendar module
2. fix a bug introduced by patch of 11/02/2002 item 3, 
   which prevented owm to parse out the filename of uploaded attachments
3. better handling for attfilename containing \ character
   (eg: 許, 功, 蓋 in attachment filename under big5 encoding)
4. fix minor error in japanese language file which stop move/copy msg in 
   folderview from working
   (thanks to Pen, ppenpraz.AT.gaba.co.jp)


11/05/2002
----------
1. add ignorewords to openwebmail-spell.pl


11/04/2002
----------
1. new mail notification by popup window
   (thanks to Matt Roberts, matt.AT.dworkin.org for his code & suggestion)
2. fix typo error in openwebmail-share.pl
   getmail_from_pop3_authserve should be getmail_from_pop3_authserver
   (thanks to Igor D'Astolfo, dusty_it.AT.users.sourceforge.net)


11/01/2002
----------
1. add a great help tutorial to the openwebmail package
   (contributed by Brent Epp, brent.AT.pdcweb.net
                   William Brillinger, billy.AT.pdcweb.net) 
2. replace mime.pl with the routines in Words.pm in the latest MIME-tools 
   package (MIME-tools-5.411a.tar.gz)
3. all 8 bit words in sending message/attachment headers are encoded with 
   quoted-printable encoding
4. allow % character in session id


10/28/2002
----------
1 imporve the cut folders feature
  show alert message if cutfolders has been issued.


10/27/2002
----------
1. add option cutfolders_ifoverquota to openwebmail.conf.default
   This can be used to cut user folders automatically if the total size of 
   his folders is over the folderquota limit


10/25/2002
----------
1. add lot of sound files 
2. test sound support when choosing the sound file for new mail notification


10/24/2002
----------
1. add option stay_ssl_afterlogin to openwebmail.conf.default
   if set to no, only login and change_passwd page will use SSL
   (suggested by Martin Gignac, lmcgign.AT.mobilitylab.net)


10/23/2002
----------
1. change color for quoted lined (those lines started with >) for better readability
   (suggested by Martin Gignac, lmcgign.AT.mobilitylab.net)


10/22/2002
----------
1. clean the code for better i/o error handling


10/19/2002
----------
1. new icon set: Cool3D.Chinese.Simplified
   (thanks to Compass Studio WebMail System, compass.AT.compass.9966.org)
2. fix a bug that dot directories were not skipped in generating the 
   foldering listing
   (reported by John M. Ostrowick, jon.AT.cs.wits.ac.za)
3. fix a bug that the confirm of emptytrash is not actived


10/18/2002
----------
1. support using text for icons, this enables openwebmail to run in pure
   text mode. It may be useful for some mobile device.
   (suggested by Daniel Pentecost, daniel.AT.davoice.net)
2. replacestr.pl -  a uty to replace string in all ~/mail/.openwebmailrc under 
   specific directories
   Deutsch language and templates trnaslation update
   (thanks to Michael 'Mike' Loth, root.AT.loth.de for his patch)
3. rename option calendar_hourformat to hourformat
   it controls the hourformat for both webmail and webcalendar
   move option refreshinterval from openwebmail.conf.default to user preference,
   each user can has his own refresh interval
   (thanks to Matt Roberts, matt.AT.dworkin.org for hist patch)
ps a new option min_refreshinterval is used to set the minimun for refreshinterval


10/16/2002
----------
1. fix a serious bug in pop3mail.pl and auth_pop3.pl introduced by the fix 
   at 10/14/2002
   (reported by Michael Papish, papish.AT.fas.harvard.edu)
2. minor change to maildb.pl for base64 encoded message/rfc822 attachment


10/14/2002
----------
1. French prefs.template update
   (thanks to Martin Gignac, lmcgign.AT.mobilitylab.net)
2. minor change to auth_pop3.pl and pop3mail.pl for better compatibility with
   pop3d that doesn't support auth login well
   (reported by Michael Papish, papish.AT.fas.harvard.edu)
3. check if TMDA confirm msg in faked_from filter


10/11/2002
----------
1. Dutch language and templates update
   (thanks to Jeroen Visser, zaphod.AT.zeephod.dyndns.org)
2. check if a keyword is a valid regex in mailfilter/search/advsearch to 
   avoid runtime regexp error


10/10/2002
----------
1. fix a minor bug in auth_unix.pl(getpwnam_file() routine missed the 2nd parm)
   (thanks to Stefan Beck, stefanbeck.AT.users.sourceforge.net)


10/09/2002
----------
1. add option enable_strictpwd and passwd_minlen to openwebmail.conf.default
2. preliminary support for displaying html messages with frameset


10/08/2002
----------
1. calendar event notification by email
   (suggested by Andrew Gruen, agg123456789.AT.users.sourceforge.net)
2. minor change to checkmail.pl syntax, adding options -e and -m
3. use q option with zip in openwebmail-folder.pl to avoid ouput to stderr
   (thanks to James P. Dugal, jpd2.AT.users.sourceforge.net for his fix)
4. fix a bug that happens if background is USERDEFINE and bgurl is null
   (thanks to James P. Dugal, jpd2.AT.users.sourceforge.net for his fix)


10/06/2002
----------
1. fix a minor layout problem in editing the stationery and 
   put the 'edit stationery' button to readmessage.template


10/05/2002
----------
1. add reply with ststionery support when reading a message
   (code by Dattola Filippo, filippo.AT.sms.it)


10/04/2002
----------
1. use /usr/bin/suidperl instead of /usr/bin/perl for suid perl script
2. Spanish language and template files update
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)
3. Japanese (ShiftJIS) language and templates translation update
   (thanks to Captain James and Interactive Artists, LLC, james.AT.ActionMessage.com)
4. new iconsetL: Cool3D.Hellenic
   Hellenic/Greek language and templates translation
   (thanks to Dimitris sehh Michelinakis, dimitris.AT.michelinakis.gr)
5. correct the permission of images/iconset/Cool3D.Dutch from 700 to 755
6. valid shell checking in auth_unix.pl
   (suggested by Vitor de Matos Carvalho, vitor.AT.softinfo.com.br)


09/17/2002
----------
1. fix a bug that 'Use regex in search ...' option in preference couldn't be 
   unchecked
   (reported by William J.A. Brillinger, billy.AT.pdcweb.net)


09/16/2002
----------
1. fix a bug that message won't be marked as read automatically after reading
   This happened if a message was accessed and changed by other mail client 
   but its size was kept the same as before.
   (reported by chipmunk, chip.AT.turtle.ee.ncku.edu.tw)


09/14/2002
----------
1. fix openwebmail-send,pl to work with new libnet module
   (thanks to Andrej Hosna, Andrej.Hosna.AT.iblsoft.com for his patch)
2. fix a typo in openwebmail-main.pl line 854
   (thanks to Trevor Paquette, Trevor.Paquette.AT.TeraGo.ca for his fix)
3. minor fix to email2nameaddr to be compatible with more email address format
   (thanks to mazolli, mazolli.AT.taquion.myip.org for his fix)


09/02/2002
----------
1. fix minor typing error in prefs.template of zh_TW.Big5 and zh_CN.GN2312
   (reported by Alex Chen, dhchen.AT.elearning.nsysu.edu.tw)
2. add check for empty string when adopting replyto header as the value 
   for to field in replying
   (reported by chipmunk, chip.AT.turtle.ee.ncku.edu.tw)


08/31/2002
----------
1. dynamic set the focus in login.template
   (suggested by Daniel Henninger, daniel.AT.unity.ncsu.edu)
2. Italian language file translation minor update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)
3. fix the bug that openwebmail mistakenly assumed the length all top 
   domains is shorter or equal to 3.
   (reported by Kevin Gingerich, kevin.AT.haycommunications.coop)


08/29/2002
----------
1. add new entry 'delete at logout' to the 'trash reserved days' option
   in user preference.


08/28/2002
----------
1. Portuguese Brazil language and templates translation minor update
   (thanks to Rui - iG, ruisb.AT.ig.com.br)
2. Italian templates translation minor update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)


08/24/2002 (version 1.71)
----------
1. Japanese (ShiftJIS) language and templates translation
   (thanks to Captain James and Interactive Artists, LLC, 
              james.AT.ActionMessage.com)


08/23/2002
----------
1. iconset Cool3D.Dutch update
   (thanks to Jan Houtsma, jan.AT.houtsma.net)
2. cut the length of db key+value to shorter than 1000 in maildb.pl
   to be compatible with all kinds of dbm systems
   (reported by Benjamin Bennett, ben.AT.phys.psu.edu)
3. fix the bug that entries in message header will be treated as empty if it s
   tarted with a blank line


08/22/2002
----------
1. add option start_url to openwebmail.conf.default to customize the link for 
   continue button at logout page
   (suggested by Daniel Pentecost, daniel.AT.davoice.net)
2. fix a bug in calendar that the repeatness of nth weekday in the month won't work.
   (reported by Stewart Ives, ivessm.AT.users.sourceforge.net)
3. fix typing error in openwebmail.conf. The ddmopen_haslock should be dbmopen_haslock.
   (reported by Julio, julio.AT.cnm.org.br)
4. add the 'remember my userid' support for login menu
   (thanks to Robert Blayzor, rblayzor.AT.inoc.net)


08/21/2002
-----------
1. fix the bug that the modified text of a forwarded message won't be displayed if 
   the original message contained both text and html 
   (reported by Tsing Moh Lim, moke.AT.amcpl.net)
2. add option case_insensitive_login to openwebmail.conf.default
   (suggested by Jason Clifford, jason.AT.ukpost.com)
3. fix a bug in forwarding a mail error report
   (thanks to Sven Niemetz, sven.AT.grovestreet.net for his fix)


08/20/2002
----------
1. new iconset Default.Norwegian and updated iconset Default.Norwegian
   (thanks to Are Tysland, are.AT.valinor.dolphinics.no)
2. Italian templates translation minor update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)


08/13/2002
----------
1. fix the bug that dbmopen_haslock warning always appears even the option is
   correctly set
   (reported by chouki.AT.users.sourceforge.net)
2. fix the bug in openwebmail.pl that some options in site.conf have no effect
   (reported by Alejandro Gonzalez Hernandez, imoq.AT.users.sourceforge.net)


08/12/2002
----------
1. add new option dbmopen_haslock to openwebmail.conf
   The default is 'no' which means your perl system won't do filelock in 
   dbmopen() by itself, so openwebmail will do filelock for you. But if 
   your openwebmail hangs after login, you may try to set this option to 'yes'.
2. fix a bug in checkmail.pl which prevent checkmail.pl to find the correct 
   fullpath of itself
   (thanks to Filitov, Chin-Hao Chang, filitov.AT.fili.to)


08/07/2002
----------
1. fix the bug that some platform will have the "invlaid cookie" error
   after sending message.
   (reported by Wern-Nerne Lin, lin.AT.mail.ncku.edu.tw)


08/06/2002
----------
1. fix the duplicated From: To: bug introduced by 2002/08/05 patch


08/05/2002
----------
1. basic support of subdir for mailfolder
   allow '-' char in background image
   new iconset: Default.Deutsch
   iconset update: Cool3D.Deutsch
   (thanks to Ralf Becker,beckerr.AT.fh-trier.de)
2. new option in openwebmail.conf: auth_domain
   fix a bug in filelock.pl for perl 5.8.0
   (thanks to Robert Blayzor,rblayzor.AT.inoc.net)
3. donation of openwebmail.com from Neil Inns
   (thanks to Neil Inns, neil.AT.emailattitude.com)
4. fix bug in writecalbook so it can work with file linked to 
   global_calendarbook
   (reported by Davide Sacchetti, davidesacchetti.AT.users.sourceforge.net)
5. stripe Bcc from message header before passing it to MTA
   (reported by Ruud Verstijnen, rudev.AT.users.sourceforge.net)


08/04/2002
----------
1. fix the "unabele to write lock calendarbook" error
   (thanks to Thomas Chung, tchung.AT.openwebmail.org)


08/03/2002
----------
1. fix a bug in filelock.pl which entered endless loop if it was used to 
   lock files in a readonly directory under dotlockfile mode
   This fixed the hang problem in 1.70 caused by the dotlockfile lock on 
   global_calendarbook
   (reported by /Frank, frank.AT.post12.tele.dk)
2. Slovak templates minor update and Cool3D.Slovak iconset update
   (thanks to lubos klokner, lubos.AT.klokner.sk)


08/02/2002
----------
1. new auth module: auth_pam_cobalt.pl
   (thanks to Taco Scargo, webmaster.AT.pkgmaster.com)


08/01/2002
----------
1. fix a bug in checkmail.pl which caused checkmail.pl to quit if any 
   read event error
   (reported by lubos klokner, lubos.AT.klokner.sk)
2. add a pine addressbook import button to addressbook management menu
   (thanks to Caner Kurtul, kurtul.AT.boun.edu.tr)
3. check if the size of a dbm is zero before opening it to avoid the delay 
   problem on some platform 
   (reported by Taco Scargo, webmaster.AT.pkgmaster.com)


07/30/2002
----------
1. fix a bug in calendar dayview which appears if that day belong to the 
   5th week of a month
2. new iconset: Default.Slovak
   (thanks to lubos klokner, lubos.AT.klokner.sk)
3. fix the insecure $ENV{ENV} bug
   (reported by lubos klokner, lubos.AT.klokner.sk)


07/28/2002
----------
1. iconset Cool3D.Turkish update
   (thanks to Erdinc Guler, eguler.AT.aegee.metu.edu.tr)
2. add a dropdown menu to user preference to choose newmailsound file
   (suggested by /Frank, frank.AT.post12.tele.dk)


07/27/2002
----------
1. move initialzation routine mkdb_* to background so it won't timeouted
   on slow or very busy machine.


07/26/2002
----------
1. use mkcool3d_en.sh and mkcool3d_it.sh to make iconsets to generate new iconsets: 
   Cool3D.Large.English, Cool3D.Italian
   (thanks to Andrea Partinico, andrea.AT.linsys.it for his scrips and iconsets)


07/20/2002
----------
1. new icon sets: Default.English, Default.Chinese.Traditional
   updated icon sets: Cool3D.English, Cool3D.Chinese.Traditional


07/19/2002
----------
1. check /etc/nologin and valid shell for user in auth_cobalt.pl
   (thanks to Trevor Paquette, Trevor.Paquette.AT.TeraGo.ca)
2. Thai language and templates translation update
   (thanks to Atsawin Chaowanakritsanakul, joke.AT.nakhon.net)
3. add option enable_calendar to openwebmail.conf.default 
4. minor fix to auth_unix.pl and auth_cobalt.pl so they can work with
   passwd files other than system default
5. fix the "Insecure dependency in sysopen" error caused by readcalbook()
   on Solaris 9.


07/18/2002
----------
1. Portuguese Brazil language and templates translation update
   (thanks to Rui - iG, ruisb.AT.ig.com.br)


07/17/2002
----------
1. add option domainnames_override, folderusage_threshold to 
   openwebmail.conf.default
   (thanks to Trevor Paquette, Trevor.Paquette.AT.TeraGo.ca for his patch)
2. case insensitive comparison of virtual address in vacation.pl
   (thanks to Trevor Paquette, Trevor.Paquette.AT.TeraGo.ca for his fix)
3. minor fix to the background image Envelope.gif
   (thanks to Dimitris 'sehh' Michelinakis, dimitris.AT.michelinakis.gr)
4. auth_cobalt.pl - add check for cobalt security over auth_unix.pl
   (thanks to Trevor Paquette, Trevor.Paquette.AT.TeraGo.ca)


07/15/2002
----------
1. show weekday in reminder


07/14/2002
----------
1. Spanish language and template files update
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)


07/12/2002 (version 1.70)
----------
1. Lithuanian language and templates translation update
   (thanks to Alvydas Sinkunas, dvm382.AT.takas.lt)
2. fix bugs in checkmail.pl for server configured for pure virtualuser
   (thanks to /Frank, frank.AT.post12.tele.dk for his patch)
3. support startime and endtime in calendar event
4. fix the bug in vacation.pl which caused program terminated unexpectedly
   (fixed by Taco Scargo, webmaster.AT.pkgmaster.com)
5. Slovak language and templates translation update
   (thanks to lubos klokner, lubos.AT.klokner.sk)


07/11/2002
----------
1. polish language and templates translation minor update
   add one-click support to the addressbook popup.
   (thanks to Andrzej Cuber, rea.AT.supermedia.pl)
2. keep the from address in composing after attachment is uploaded
   (suggested by /Frank, frank.AT.post12.tele.dk)
3. fix a bug that item with time 00:00 will be showed as no time item
   fix a bug that dayview start time 00:00 will be displayed as 0
   under 24 hour format
   add camfmt_yearmonthdaywday to language file so the weekday position 
   in a date string could be set
   (reported by /Frank, frank.AT.post12.tele.dk)


07/10/2002
----------
1. add option global_calendarbook to openwebmail.conf,
   prilimary support for global calendar
2. reminder can be configured to show events in global calendar or not.
3. Deutsch language and templates trnaslation update
   (thanks to Christian Schoepplein, mail.AT.schoeppi.net)
4. add dbm_test() to mkdb* routines, so the error setting of option 
   dbm_ext and dbmopen_ext will be detected automatically
5. polish language and templates translation update
   (thanks to Andrzej Cuber, rea.AT.supermedia.pl)


07/09/2002
----------
1. change reminder checkbox to a reminder days menu so user can specify 
   the range of days that the reminder should check for.
2. use timeoffset defined in preference to calculate current localtime 
   of user timezone in calendar
3. add -d option to checkmail.pl to specify the default domain for users
   (suggested by /Frank, frank.AT.post12.tele.dk)


07/08/2002
----------
1. move calendar related options from openwebmail.conf to user preference
2. fix a bug in calendar when hourformat is set to 24
   (reported by /Frank, frank.AT.post12.tele.dk)
3. remove unused entry in readconf() in openwebmail-shared.pl
   (thanks to Maurice Aubrey, maurice.AT.lovelyfilth.com)
4. fix a bug in calendar for continusous days events
5. support calendar event checking in checkmail.pl
6. Italian language and templates translation update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)
7. support reminder in folder view for events within 7 days


07/07/2002
----------
1. move pop3 setup button from main menu to user preference menu.
   display getpop3 button only if in INBOX folder
   (suggested by /Frank, frank.AT.post12.tele.dk)
2. rearrange the layout of the user preference menu for better readability.


07/06/2002
----------
1. add chinese lunar calendar support for big5 and gb2312


07/05/2002
----------
1. add calendar support based on the code in WebCal 1.12,
   which is a GNU project by Michael Arndt, marndt.AT.bulldog.tzo.org


07/03/2002
----------
1. fix a bug in advsearch related to textcontent searching
   minor fix to openwebmail-send,pl so the message will be saved into draft 
   when smtp server could not be opened
   (thanks to Dattola Filippo, filippo.AT.sms.it)
2. change signature delimiter from "--" to "-- "
   (suggested by Reinout Hoornweg, reinout.AT.competa.com)
2. Slovak language and templates translation minor update
   (thanks to lubos klokner, lubos.AT.klokner.sk)


07/01/2002
----------
1. fix the bug that user has an @domain assignment in virtusertable
   (fixed by Taco Scargo, webmaster.AT.pkgmaster.com)
2. fix the bug that filterrules destinated at INBOX will stop rules with
   lower priority from working
   (reported by /Frank, frank.AT.post12.tele.dk)
3. Cool3D.Dutch update
   (thanks to Jan Houtsma, jan.AT.houtsma.net)


06/30/2002
----------
1. change charset immediately when user change language in prefs munu


06/29/2002
----------
1. new module: openwebmail-advsearch.pl, which can search more than one 
   folders at a time and show the results from different folders in one page. 
   (code by Dattola Filippo, filippo.AT.sms.it)
2. Czech language and templates translation minor update
   (thanks to Jan Bilik, jan.AT.bilik.org)
3. new iconset: Cool3D.Dutch
   (thanks to Jan Houtsma, jan.AT.houtsma.net)


06/26/2002
----------
1. Deutsch template trnaslation update
   (thanks to Christian Schoepplein, mail.AT.schoeppi.net)


06/24/2002
----------
1. escape " in filterrule so rule editing can work properly
   (thanks to Dattola Filippo, filippo.AT.sms.it)

06/23/2002
----------
1. greatly imporve the speed of markread operation on all messages in a 
   folder


06/22/2002
----------
1. markread on all messages in a folder
   save msg to draft if send error
   escape ' and \ in filterrule so the two chars won't be eat by javascript
   (thanks to Dattola Filippo, filippo.AT.sms.it)
2. Slovak language and template files translation minor update
   (thanks to lubos klokner, lubos.AT.klokner.sk)


06/19/2002
----------
1. fix a bug in checkmail.pl which didn't load site config
   (reported by /Frank, frank.AT.post12.tele.dk)


06/18/2002
----------
1. Norwegian language and template files translation
   and new icon set: Cool3D.Norwegian
   (thanks to Are Tysland, are.AT.valinor.dolphinics.no)


06/17/2002
----------
1. use localized name instead of folder filename in folder inedex/reindex
   confirm message.
   (reported by /Frank, frank.AT.post12.tele.dk)


06/15/2002
----------
1. fix to smiley code in openwebmail-read.pl so it won't convert tel number
   to smiley icon
   (thanks to Kelson Vibber, kelson.AT.speed.net for his patch)


06/14/2002
----------
1. Portuguese Brazil language and templates translation minor update
   (thanks to Rui - iG, ruisb.AT.ig.com.br)
2. minor fix to openwebmail-send.pl to be more compatible with 
   Symantac ACT!2000 
   (thanks to Giray Devlet, giray.AT.osc.nl for his fix)


06/13/2002
----------
1. polish language and template minor update
   split global and personal addressbook in addressbook winodw
   (thanks to Andrzej Cuber, rea.AT.supermedia.pl)


06/12/2002
----------
1. fix the bug that option xmailer_has_version and xoriginateip_has_userid 
   have no effect
   (reported by /Frank, frank.AT.post12.tele.dk)
2. add option ico_url to openwebmail.conf to support shortcut icon
   (thanks to Dimitris 'sehh' Michelinakis, dimitris.AT.michelinakis.gr)


06/10/2002
----------
1. Spanish language and template files update
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)
2. move charset setting from language file to user preference,
   so you may set charset independly with the language.


06/09/2002
----------
1. Danish language and templates translation minor update
   update openwebmail-spell.pl for dansk(danish)
   (thanks to /Frank, frank.AT.post12.tele.dk)


06/08/2002
----------
1. try to use auth in auth_pop3.pl and pop3mail.pl
   ps: only login type is supported which encodes pop3 username/passwd 
       with base64 encoding


06/07/2002
----------
1. fix a bug in javascript on "move to trash" button in readmessage menu
   which caused js error in IE 6.
   (reported by Carlos Pina Soares, carlos.soares.AT.fcsh.unl.pt)


06/06/2002 (version 1.65)
----------
1. add new iconset: Cool3D.Czech
   Czech language and templates translation update
   (thanks to Jan Bilik, jan.AT.bilik.org)


06/05/2002
----------
1. add fontsize option to user preference
2. always use regex in global filter rules


06/04/2002
----------
1. add new iconset: Cool3D.Romanian
   (thanks to Vladimir Hrusca, vladimir.AT.bitsoft.ro)
2. Italian language and templates translation update
   (thanks to Marvi Benedet, i3100579.AT.ingstud.univ.trieste.it)
3. Thai language and templates translation update
   (thanks to Atsawin Chaowanakritsanakul, joke.AT.nakhon.net)
4. Portuguese Brazil language and templates translation minor update
   (thanks to ruisb, ruisb.AT.ig.com.br)


06/03/2002
----------
1. improve the parsing of date field of message header
2. fix a bug in weekday calculation
3. Romanian template file translation
   (thanks to Vladimir Hrusca, vladimir.AT.bitsoft.ro)
4. Polish language and templates translation update
   (thanks to Grzegorz Nosek, blackfire.AT.virtual.net.pl)
5. split addressbook related routine into openwebmail-abook.pl


06/02/2002
----------
1. add world timezone map to help user set timeoffset in user preference


06/01/2002
----------
1. add option timeoffset to user preference, users at different locations
   may have their own timezone setting
2. use datefield instead of delimiter as message date
   (thanks to Dattola Filippo, filippo.AT.sms.it)
3. if there are to many aliases for a user, .forward will use -j instead 
   of detailed -a alias so it won't break the line length limit 254
   (thanks to Hubertus A. Haniel, hubba.AT.unixcook.com)


05/31/2002
----------
1. Romanian language file translation
   (thanks to Vladimir Hrusca, vladimir.AT.bitsoft.ro)
2. add option enable_domainselectmenu to openwebmail.conf
   (suggested by Hubertus A. Haniel, hubba.AT.unixcook.com)
3. Danish template spellcheck.template update
   (thanks to /Frank, frank.AT.post12.tele.dk)
4. add option xmailer_has_version and xoriginateip_has_userid 
   to openwebmail.conf
   add 'Use Regex in search and filterrule' option to user preference
   (suggested by /Frank, frank.AT.post12.tele.dk)


05/28/2002
----------
1. new mirror site at Austria/Europe.
   http://www.openwebmail.net
   (thanks to M.Karner and QETA.Net)


05/24/2002
----------
1. fix a bug in maildb.pl which cause errors if messageid had "++" string
   (thanks to Konrad Neitzel, neitzel.AT.softmediatec.de for his fix)
2. Portuguese Brazil language and templates translation minor update
   (thanks to ruisb, ruisb.AT.ig.com.br)
3. Danish language and templates translation update
   (thanks to /Frank, frank.AT.post12.tele.dk)


05/23/2002
----------
1. minor change to maildb.pl and checkmail.pl so checkmail.pl -i print more 
   detailed information
2. Slovak language and template files translation update
   (thanks to lubos klokner, lubos.AT.klokner.sk)


05/22/2002
----------
1. fix a addressbook import bug caused by entries ended with @ symbo
   (reported by weiren.AT.weiren.net)


05/21/2002
----------
1. add 'move to trash' button in folderview menu and messageread menu.
   (suggested by travisau.AT.users.sourceforge.net)
2. Italian language and templates translation update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)
3. Catalan language and templates translation update
   (thanks Jordi Vidal, st.AT.e-puntcom.com)


05/20/2002
----------
1. fix a javascript error caused by the ' character in foldername in 
   openwebmail-folder.pl
   (reported by weiren.AT.weiren.net)
2. add option backupsentmsg to user preference and the message compose menu
   (suggested by Victor Moral M., vmoral.AT.dcc.uchile.cl)


05/17/2002
----------
1. Thai language and template files translation
   (thanks to Atsawin Chaowanakritsanakul, joke.AT.nakhon.net)
2. disable mailto processing in html attachment download
   (suggested by FERNANDO COELHO MONTEIRO, fernando.AT.iepmail.unimep.br)


05/11/2002
----------
1. minor fix to Italian language file
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)


05/10/2002
----------
1. rename auth_pgsql.pl to auth_pg.pl (use pgsql interface) and 
   add new auth module: auth_pgsql.pl (use DBI interface)
   (thanks to Oliver Smith, oli.AT.kfs.org)
2. fix a bug in date_for_delimiter in pop3mail.pl
   (thanks to Edwin Lee, edwinlee2000.AT.users.sourceforge.net)


05/09/2002
----------
1. add new iconset: Cool3D.Deutsch
   (thanks to Ralf Becker, beckerr.AT.fh-trier.de)
2. add new iconset: Cool3D.Polish
   (thanks to Grzegorz Nosek, blackfire.AT.virtual.net.pl)


05/08/2002
----------
1. minor update to pt_BR prefs.template
   (thanks to ruisb, ruisb.AT.ig.com.br)


05/07/2002
----------
1. Spanish lanuage translation update
   (thanks to Daniel Hasan, dhasan.AT.accesstime.net)
2. Polish language and templates translation update,
   options in openwebmail.conf to control the about dialog in preference
   (thanks to Grzegorz Nosek, blackfire.AT.virtual.net.pl)


05/06/2002
----------
1. add "compose new message" button to message reading menu
2. fix minor bug in dbmtest.pl


05/05/2002
----------
1. pure perl version b2g(), g2b() for chinese BIG5<->GB conversion
   (code from Encode::HanConvert by Autrijus Tang, autrijus.AT.autrijus.org,
    suggested by Yen-Ming Lee, leeym.AT.leeym.com)
2. Italian language and templates translation update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)
3. Deutsch language and template trnaslation minor update
   (thanks to Christian Schoepplein, mail.AT.schoeppi.net)


05/04/2002
----------
1. load site conf before display login menu
   (reported by Bob Harrison, rharrison.AT.users.sourceforge.net)


04/30/2002
----------
1. auto correct the permission, owner, group of the logfile at login
2. new option 'show image attachment as link' in user preference


04/29/2002
----------
1. minor fix to filter_fakedsmtp so the mail from localhost won't be filtered
2. add -private_tempfiles directive in 'use CGI' so tmp CGI file (/var/tmp/CGIxxxx)
   could be deleted automatically by CGI.pm
   (reported by Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.mail.savs.hcc.edu.tw)


04/26/2002
----------
1. process the folding line in message header before mail header 
   searching/filtering
   (suggested by SG, sgsgsg.AT.users.sourceforge.net)
2. fix the bug that language in user preference could not be changed 
   when using netscape 4.x browser 
   (reported by kyj.AT.cycu.edu.tw)
3. Polish language and template files update
   (thanks to michal talecki, mik.AT.orka.ibz.pl)


04/25/2002
----------
1. auth_mysql_vmail.pl module
   (thanks to Zoltan Kovacs, werdy.AT.freemail.hu)


04/22/2002
----------
1. minor update to pt_BR prefs.template
   (thanks to ruisb, ruisb.AT.ig.com.br)


04/20/2002
----------
1. minor fix to faked smtp filter to handle Received line generated by qmail 
   for internal usage


04/19/2002
----------
1. add option filter faked from to user preference
   This option will filter message whose From: field is different than the 
   email address in SMTP envelope. This is very useful in filtering messages
   generated by some virus
2. fix a bug when importing addressbook from netscape csv file
   (reported by Fernando C Monteiro, fernando.AT.iepmail.unimep.br)


04/18/2002
----------
1. correction to readme.txt and minor update to lang/de
   (thanks to Artur Neumann, artur.neumann.AT.teencamp.de)
2. add br charlist to openwebmail-spell.pl and minor update to 
   templates/br/prefs.template
   (thanks to Marcelo Souza, xyo.AT.users.sourceforge.net)
3. new mirror site at Malaysia
   http://openwebmail.kkellas.com.my/mirrors/openwebmail/
   (thanks to Ramli Mohd, meli.AT.kkellas.com.my)
4. new option make_homedir, delpop3mail_hidden to openwebmail.conf.default
   (thanks to greep)
5. fix a bug in editfilter that cleard all global filter counters to zero


04/17/2002
----------
1. replace the @ in email address with .AT. in all documents to avoid 
   mail from spammer
2. chmod .forward to 600 to make sendmail happy in openwebmail-prefs.pl
   (thanks to Kelson Vibber, kelson.AT.speed.net)


04/16/2002
----------
1. fix a serious bug in auth_ldap.pl
   (thanks to Kelson Vibber, kelson.AT.speed.net)
2. minor fix to it/composemessage.template
   (thanks to Matteo Deserventi, teo.AT.molinette.piemonte.it)


04/15/2002 (version 1.64)
----------
1. remove the blank check for the mail deimiter from maildb.pl


04/13/2002
----------
1. Deutsch login.templates translation update
   (thanks to Nicola Tiling, nti.AT.w4w.net)
2. set Refresh directive with meta instead of http header for better 
   compatibility
   (thanks to Jason Logan, jalogan.AT.www.copperad.com)
   

04/11/2002
----------
1. fix the bug that signature won't appear when forwarding a message with 
   empty body
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
2. fix the login page redirection problem on Mac MSIE browser
   (thanks to Thomas Chung, tchung.AT.openwebmail.org,
              Jason Logan, jalogan.AT.copperad.com)
3. fix a bug in virtuser table handle to support %1
   (thanks to Kelson Vibber, kelson.AT.speed.net)
4. add option enable_about to openwebmail.conf
   (suggested by Marcelo Souza, xyo.AT.users.sourceforge.net,
                 Nicola Tiling, nti.AT.w4w.net)
5. add option default_realname to openwebmail.conf
   (suggested by Nicola Tiling, nti.AT.w4w.net)
6. move description of each options to file openwebmail.conf.help to speedup 
   the parsing of openwebmail.conf.default
7. minor fix to auth_pgsql.pl
   (thanks to Veselin Slavov, vess.AT.vess.bnc.bg)


04/10/2002
----------
1. rename option default_fromemail to default_fromemails in openwebmail.conf
   to support multiple default email addresses
2. do not check the ip address when verifying the session cookie,
   thus dialup user can use same openwebmail session cross multiple dialups.
   (suggested by Nicola Tiling, nti.AT.w4w.net)
3. remove HTTP_REFERER for the https judgement
   (thanks to Nicola Tiling, nti.AT.w4w.net)
4. Portuguese Brazil language and templates translation minor update
   (thanks to ruisb, ruisb.AT.ig.com.br)
5. minor change to the filename of db for virtusertable so multiple
   virtusertable can coexist for different domain
6. get default emails from virtusertable if possible
   (suggested by Nicola Tiling, nti.AT.w4w.net)


04/09/2002
----------
1. fix a bug that new connection to SMTP server always falied on some plaform
   (thanks to Edison Figueira Junior, efjlilo.AT.users.sourceforge.net)
2. add option http_protocol to openwebmail.conf.default
3. support cleartxt and crypt type password in auth_mysql.pl
   (thanks to Juan Martin Hashimoto, fhashimo.AT.hotmail.com) 
4. fix a bug caused by httpd not on port 80, which made $ENV{HTTP_HOST} 
   an invalid domainname for SMTP helo message.
   (thanks Marcelo Souza, xyo.AT.users.sourceforge.net)


04/08/2002
----------
1. new mirror site at Portuguese
   http://www.brc.com.br/openwebmail/
   (thanks to Edison Figueira, edison.AT.brc.com.br)
2. add onchange handler for language field in user preference


04/07/2002
----------
1. add an 'About' botton in user prefs menu.
2. new mirror site at HongKong
   http://openwebmail.showhappy.net/
   (thanks to Wicka, wicka.AT.showhappy.net)


04/06/2002
----------
1. Bulgarian login.template translation minor update
   (thanks to Veselin Slavov, vess.AT.vess.bnc.bg)


04/05/2002
----------
1. provide a selection menu at login if multiple domainnames are defined
   in openwebmail.conf
   (thanks to Veselin Slavov, vess.AT.vess.bnc.bg)
2. Portuguese Brazil language and templates translation update
   (thanks to ruisb, ruisb.AT.ig.com.br)
3. fix a javascript bug in openwebmail.pl that crashed the Opera 6.01
   (thanks to Happy Camper, hcamper.AT.users.sourceforge.net) 
4. fix "internal server error" bug when copying messages to "--DELETE--" folder
   (reported by Marcelo Souza, xyo.AT.users.sourceforge.net) 
5. auth_pgsql.pl module
   (thanks to Veselin Slavov, vess.AT.vess.bnc.bg)


04/04/2002
----------
1. new option smtpauth to enable SASL authentication on SMTP
   ps: only plain type is supported which encode smtp auth name/passwd
       in base64 encoding
2. clean code to avoid taint check error in openwebmail-folder.pl
   (thanks to Oliver Schindler, schindlero.AT.users.sourceforge.net) 
3. Turkish language and template files translation
   and new icon set: Cool3D.Turkish
   (thanks to Erdinc Guler, eguler.AT.aegee.metu.edu.tr)


04/03/2002
----------
1. new option allowed_serverdomain in openwebmail.conf.default
   to control the virtauldomain that openwebmail will serve
   (suggested by Martin Kirk, jmkirk.AT.users.sourceforge.net)


04/02/2002
----------
1. Bulgarian language and template files translation
   and new icon set: Cool3D.Bulgarian
   (thanks to Veselin Slavov, vess.AT.vess.bnc.bg)
2. Indonesian language and template files translation
   (thanks to hu-wei liang, liangs.AT.kunchang.com.tw)


04/01/2002
----------
1. fix a bug that domainnames option won't be recognized if user login with 
   domainame specified
   (reported by Jay Brussels, dslx.AT.users.sourceforge.net
            and Martin Kirk,  jmkirk.AT.users.sourceforge.net)
2. add original sender/receiver/subject/time when forwarding a message.
   (suggested by curbside.AT.users.sourceforge.net, Doug Raggett)
3. try to continue using old session after a new login 
   if the browser still hold the session cookie and the session is still valid
   So multi logins for same user from same client will use only one session.
  

03/30/2002
----------
1. fix the "Undefined subroutine &main::recursively_thread" bug introduced
   by the fix in 03/29/2002


03/29/2002
----------
1. add option sessiontimeout to user preference.
   So each user may have different session timeout setting
2. clean the code to avoid closure effect on inner sub routine
3. fix a bug in editpop3menu that delpop3 was always set
   (reported by cheton, cheton.AT.lava.idv.tw)


03/27/2002
----------
1. fix a bug that the usernote in addressbook could not be cleared after set
   (reported by Norman, chew.AT.users.sourceforge.net)
2. new option fetchpop3interval to replace old option authpop3_at_refresh
   Pop3 fetch interval is now independent with refresh interval


03/26/2002
----------
1. check the dangerous characters in forward email addresses
   (suggested by Patrick, studi.AT.users.sourceforge.net)
2. fix a bug in maildb.pl that caused the illegal reference on a string
3. new date format: mm.dd.yyyy
   sort addressbook case insensitively
   (suggested by gamato.AT.host.sk)


03/25/2002
----------
1. clean the code. All scripts have 'use strict;' now :)
2. fix the bug that made timeout message repeatly


03/22/2002
----------
1. fix a bug that the addresses in from book were not passed to vacation 
   program for alias checking
   (reported by Patrick, studi.AT.users.sourceforge.net)
2. use top.window.close instead of window.close at logout to close 
   openwebmail inside a frame
   (fixed by Taco Scargo, webmaster.AT.pkgmaster.com)
3. add option dbmopen_ext to openwebmail.conf. It is useful if the dbmopen
   in your perl won't add the db extension automatically
   (thanks to Taco Scargo, webmaster.AT.pkgmaster.com)


03/21/2002
----------
1. fix a bug in maildb.pl that could not handle MIME boundary with 
   space character
   (reported by Eric, studelec.AT.users.sourceforge.net)
2. French language, templates translation, iconset update and 
   vous_avez_du_courrier.wav 
   (thanks to Cyril Sabatier, c.sabatier.AT.bocquet.com)
3. fix html code to get better rendering speed under mozilla for
   edit pop3, edit addressbook and edit folder menu.


03/19/2002 (version 1.63)
----------
1. fix a bug in pop3mail.pl which generated delimiter line with null date
   if the 'Date: ' is the first field in the message header
2. try to guess a better contenttype from filename extension if
   contenttype is application/octet-stream
3. fix a bug that address-import in readmessage will inport wrong address
   (reported by Erwin Kramer, ekramer.AT.users.sourceforge.net)


03/17/2002
----------
1. Danish language and templates translation minor update
   (thanks to /Frank, frank.AT.post12.tele.dk)
2. better error handing in message sending and draft saving.


03/16/2002
----------
1. add new iconset: Cool3D.Danish
   (thanks to Kenneth Nielsen, knbn.AT.hhf-kollegiet.dk)


03/15/2002
----------
1. try to cover a bug in old IE that sent Euro symbo in unicode format
   (reported by Cyril SABATIER, c.sabatier.AT.bocquet.com)
2. add option default_fromemail to openwebmail.conf
   It can be used to set default from email address for the user.
3. fix several bugs related to the variable localization in foreach statement
   (thanks to Koppi, koppi.AT.action.at)


03/14/2002
----------
1. fix a bug that expanded group address in global addressbook incorrectly
   (reported by Van Hazard, hazard.AT.rosta.com.tw)
2. fix a bug that won't use useralias in virtusertable even that alias is matched
   (reported by faifai.AT.users.sourceforge.net)
3. fix a bug that tried remove all blanks in .forward
   (reported by Iain Lea, iain.AT.caw.com)


03/13/2002
----------
1. rename option 'pop3_authserver_in_book' to 'getmail_from_pop3_authserver'
2. remove pop3_authserver pop3 record from .pop3book
   So sysadm can configure getting mails from pop3 authserver and stop user 
   to fetch mails from other pop3 server at the same time
   (suggested by anthony (hkanthony.AT.user.sourceforge.net) 
3. add option 'deletemail_on_pop3' to openwebmail.conf
4. Hungarian language and templates translation update
   (thanks to Nagy Endre, gumo.AT.lucifer.kgt.bme.hu)


03/12/2002
----------
1. auth_mysql.pl module
   (thanks to Alan, Cheng-Lung Sung - AlanSung.AT.dragon2.net)
2. Slovak language and template files translation update
   Cool3D.Slovak iconset update
   (thanks to lubos klokner, lubos.AT.klokner.sk)
3. fix a bug that load auth_module too earily so the auth_module option in 
   siteconf won't have effect
   (thanks to Kevin Ellis, kevin.AT.bluelavalamp.net)


03/11/2002
----------
1. verify if an email is empty before passing it to the smtpd


03/10/2002
----------
1. portuguese brazil template translation minor update
   (thanks to ruisb, ruisb.AT.ig.com.br)


03/09/2002
----------
1. code clean. 
   move init stuff into routine openwebmail_init()
2. split folder maintainance routines into openwebmail-folder.pl
3. fix a bug that user conf won't be read if auth_withdomain is set to 'yes'
4. Slovak language and templates translation update
   (thanks to Peter Sedivy - PeSe, pese.AT.us.svf.stuba.sk)
5. fix a bug introduced by the patch in 03/07/2002
   which cause boundary directive missing for message with attachmentes
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
6. add "select all" checkbox in addressbook
7. fix a bug in auth_unix.pl that didn't preserve the ownership of passwd file
   (reported by Hubertus A. Haniel, hubertus.AT.haniel.co.uk)


03/07/2002
----------
1. add option 'auth_withdomain' to openwebmail.conf for auth modules that
   uses names like 'username@domainname' for login
2. Russian language and template files translation
   (thanks to Denis Mysenko, duster.AT.tpu.ru)
3. fix the hang problem in uploading attachment caused by a bug in 
   encode_base64 in mime.pl
   (thanks to A.Johnson Jeba Asir, johnson.AT.ooty.tenet.res.in)
4. fix the url link parsing bug that stoped at the char &
   (reported by bplein.AT.users.sourceforge.net, Bill Plein) 
5. fix bugs related to auth_withdomain
   (thanks to Kevin Ellis, kevin.AT.bluelavalamp.net)
6. add option 'loginerrordelay' to control the delay of the response for a 
   failed login attempt
7. add title directives for anchors to be more friendly on mozilla
8. fix a bug that left or right arrow at the buttom of folderview will disappear


03/05/2002
----------
1. Lithuanian language and templates translation update
   (thanks to Alvydas Sinkunas, dvm382.AT.takas.lt)
2. minor change to openwebmail.pl to support new message composing 
   immediately after login
3. Portuguese language and templates translation update
   (thanks to Jose Ferradeira, jferra.AT.sfconsultores.pt)


03/03/2002
----------
1. fix bugs in get_virtualuser_user_userinfo() and get_defaultemails()
   in openwebmail-shared.pl 
   (thanks to Kevin Ellis, kevin.AT.bluelavalamp.net)


03/01/2002
----------
1. add option smtpport to openwebmail.conf


02/28/2002
----------
1. new mirror site at catalonia, spain.
   http://www.correuweb.com/mirror
   (thanks Jordi Vidal, st.AT.e-puntcom.com)


02/27/2002
----------
1. fix a bug in openwebmail.pl for option pop3_authserver_in_book
   (reported by Dilton Dantas, dilton.AT.users.sourceforge.net
                John Smith, c0nd0r.AT.users.sourceforge.net)
2. fix a minor bug in maildb.pl to handle mime with boundary='-'
3. fix a javascript error in openwebmail.pl


02/26/2002
----------
1. Portuguese Brazil language and templates translation update
   (thanks to ruisb, ruisb.AT.ig.com.br)


02/25/2002
----------
1. Deutsch language and templates translation update
   (thanks to Christian Schoepplein, mail.AT.schoeppi.net)
2. minor change to footer.template to be more compatible with lynx reader


02/24/2002
----------
1. support forward reference in openwebmail.conf so %var% can be resolved
   between multiple openwebmail config files
2. add option pop3_authserver_in_book to openwebmail.conf
   This option can put the authentication server into the pop3 book
   automatically so the mail on pop3 authserver will be fetched after login
3. add 'reindex' and 'newindex' buttons to editfolder menu
4. add new iconset: Cool3D.Korean
   (thanks to matthewyi.AT.usermail.com)
5. Mac OS X related info is added to auth_unix.pl
   a wrapsuid.pl is provided to generate C wrappers for suid scripts 
   automatically
   (thanks to Chris Heegard, heegard.AT.NativeI.com)
6. use lang_text for text in status line
   (suggested by ruisb, ruisb.AT.ig.com.br)


02/23/2002
----------
1. hide the real password from user in editpop3 menu
   (suggested by Peter Smulovics , szoke.AT.users.sourceforge.net)


02/22/2002
----------
1. put all options to openwebmail.conf.default 
   and only set the overrides in openwebmail.conf
   (suggested by 翁三偉, sanwei.AT.elesrv.saihs.edu.tw)
2. refilter all msg in INBOX if filterrule is changed


02/21/2002 (version 1.62)
----------
1. portuguese brazil template translation minor update
   (thanks to ruisb, ruisb.AT.ig.com.br)
2. fix a bug that created opewebmail.log with wrong group
   (reported by Thomas Chung, tchung.AT.openwebmail.org)
   

02/20/2002
----------
1. add option allowed_clientdomain to openwebmail.conf
2. fix bugs related to allowed_clientip and allowed_receiverdomain
3. support per virtualdomain configuration


02/19/2002
----------
1. Portuguese Brazil language translation minor update
   (thanks to ruisb, ruisb.AT.ig.com.br)
2. Finnish template file translation minor update
   (thanks to Jouni Kivilahti, jouni.kivilahti.AT.los.fi)
3. add option disable_embcgi to openwebmail.conf and user preference.
   This prevents the user email addresses being confirmed by spammer through
   embedded CGIs inside html messages
   (thanks to Frank.AT.post12.tele.dk, frank.AT.post12.tele.dk for his idea and code)
4. no more need to modify the *.pl at install
   (thanks to Frank.AT.post12.tele.dk, frank.AT.post12.tele.dk for his idea)
5. clean the code of vacation.pl


02/18/2002
----------
1. add 'print friendly' support in read message
   (suggested by Alex Janis, alex.AT.alexjanis.com)


02/17/2002
----------
1. fix a bug in mailfilter.pl introduced by the patch at 02/13/2002.
   The bug will cause messages at INBOX being dropped silently.
   Please DO UPGRADE if you use release of 02/13/2002 and 02/14/2002


02/14/2002
----------
1. add option allowed_clientip and allowed_receiverdomain to openwebmail.conf
   These 2 options could be very useful when used in the per user capability 
   config file.
2. add new iconset: Cool3D.Francais
   (thanks to Cyril SABATIER, c.sabatier.AT.bocquet.com)
3. Portuguese Brazil language and templates translation update
   (thanks to ruisb, ruisb.AT.ig.com.br)


02/13/2002
----------
1. new internal flag 'V' which means 'verified by mailfilter'
2. minor change to virtualuser mapping
   loginname@HTTP_HOST will be checked before loginname itself


02/12/2002
----------
1. update internal flags into index db for sent messages
2. auth_pop3.pl module


02/11/2002
----------
1. enable big5 <-> GB automatic conversion only if convert program is 
   available to avoid 'converter not available' error.


02/10/2002
----------
1. rename spellcheck.pl to openwebmail-spell.pl
2. fix the openwebmail-spell.pl to use dictionaries to check vocabularies
   composed by non english letters.
   (thanks to Volodymyr M. Lisivka, lvm.AT.mystery.lviv.net for his patch)
3. Ukrainian language and template files translation
   (thanks to Volodymyr M. Lisivka, lvm.AT.mystery.lviv.net)
4. Finnish language and template files translation
   (thanks to Jouni Kivilahti, jouni.kivilahti.AT.los.fi)
5. Portuguese Brazil language and templates translation update
   (thanks to ruisb, ruisb.AT.ig.com.br
              Valdimir M Costa, vlad.AT.univap.br)
6. Chinese GB language and templates translation update
   (thanks to Wang Jun, wjun.AT.mail.iap.ac.cn)


02/07/2002
----------
1. display 'login again' instead of 'continue' at logout page
   (suggested by /Frank, frank.AT.post12.tele.dk)
2. fix the bug that the bcc field will be always empty when loading a draft 
   to edit
3. fix a bug in the vacation.pl introduced by the fix of 20020206


02/06/2002
----------
1. remove -t flag from vacation.pl to be compatible with the sendmail 
   wrapper of postfix


02/05/2002
----------
1. Danish language and templates translation
   (thanks to /Frank, frank.AT.post12.tele.dk)
2. Portuguese Brazil language and templates translation update
   (thanks to ruisb, ruisb.AT.ig.com.br)


02/04/2002 (version 1.61)
----------
1. remove the debugging code from maildb.pl
2. minor fix to maildb.pl to display attachments with null contenttype


02/02/2002
----------
1. add new iconset: Cool3D.Portuguese.Brazilian
   (thanks to Jordi S. Bunster, jsb.AT.ductape.net)
2. minor fix to the mime boundary handling in maildb.pl
   Openwebmail now passes the "MIME Torture Test" 
   that UW makes available at ftp://ftp.cac.washington.edu/imap/mime
3. display the content description of attachments if available


02/01/2002
----------
1. folding the to, cc and bcc headers if they were longer than 960 chars
   (suggested by Martin Gignac, lmcgign.AT.mobilitylab.net)
2. further correction to fixedfont support
   (thanks to Martin Gignac, lmcgign.AT.mobilitylab.net)
3. display SMTP session detail if sendmessage failed.
   It could be helpful to find out the source of the problem
4. auto reindexing if an invalid message is found in getmessage


01/31/2002
----------
1. improve the reparagraph code in openwebmail-send.pl
2. add usefixedfont to openwebmail.conf and userpreference
   (suggested by kyork, kyork.AT.videovideo.com
                 Martin Gignac, lmcgign.AT.mobilitylab.net)
3. Spanish language and template files update
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)


01/30/2002
----------
1. auth_ldap.pl module
   (thanks to Ivan Cerrato, pengus.AT.libero.it)
2. support user capability configuration on per user basis
3. add option savedsuid_support to openwebmail.conf
   This is used by openwebmail to determine if saving euid to ruid is required
   before changing the euid.
   (Thanks to Jim Flowers, jflowers.AT.ezo.net for his detailed report)


01/29/2002
----------
1. minor fix to the smileicon replacement in openwebmail-read.pl
   (thanks to Rossen Tchobanski, rosko.AT.rosko.net)


01/28/2002
----------
1. fix a serious bug in the 01/27/2002 patch, please DO UPGRADE if your are 
   using 01/27/2002


01/27/2002
----------
1. greatly improve the speed of re-indexing in update_headerdb by utilizing
   the informations in old index db as much as possible.


01/26/2002
----------
1. fix a bug in 'forward message as attachment' which copies the message 
   delimiter line into forward.msg without escaping the 'From ' mark
2. fix a bug in addressbook which would expand the group address improperly
   (thanks to clovis, cfcs98.AT.users.sourceforge.net)
3. use '&' instead of '&amp;' in Location directive to fix a minor compatible 
   problem on old apache server


01/25/2002
----------
1. Portuguese Brazil language and templates translation update
   (thanks to Rui - iG, ruisb.AT.ig.com.br)
2. add 'google search' on from email address when reading a message.
   It is useful to know who is sending mail to you :)


01/24/2002 (version 1.60)
----------
1. better display for filtered count/date of the 
   repeatness/fakedsmtp/fakedexecontenttype filters
2. If a message requesting read-receipt were written in different charset than 
   receiver, the read receipt will be written in english in case the sender 
   doesn't understand charset used by the receiver
3. improved algorithm of fakedsmtp filter


01/23/2002
----------
1. french language and templates translation
   (thanks to Cyril Sabatier, c.sabatier.AT.bocquet.com)


01/22/2002
----------
1. generate inreplyto/references header in composemessage instead of sendmessage
   stage which preserves the original message information even reply is sent 
   from draft/sent folder.
2. fix a bug in maildb.pl which disabled the support of message/partial
3. add a small piece of javascript in login page to do page redirection in 
   case the Refresh directive in http header has no effect.


01/21/2002
----------
1. Italian language and templates translation update
   (thanks to Marvi Benedet, marvi.AT.menhir.biz)


01/19/2002
----------
1. Catalan language and templates translation update
   (thanks Jordi Vidal, st.AT.e-puntcom.com)
2. add option sendreceipt to preference and openwebmail.conf 
   (suggested by Kashif Manzoor, guy2000.AT.hi.net.pk)
3. add option keep local copy to preference.
   It is used to save a local copy when message forwarding is on


01/18/2002
----------
1. Portuguese Brazil language and templates translation update
   (thanks to Rui - iG, ruisb.AT.ig.com.br)
2. fix a bug in recent change to gb/big5 charset conversion
   (reported by 陳協富, jeff.AT.tinp.com.tw)   
3. fix a bug in maildb.pl that could not properly handle mine boundary 
   generated by the HylaFAX Server
   (reported by Aren, aren.AT.aren.nl)
4. cut the filename sent in contenttype/content-disposition header to 45
   to avoid a bug in IE6


01/17/2002
----------
1. fix minor bug in sort_by_thread that caused messages with null subject
   not displayed
2. remove sort_by_subject and use sort_by_thread instead
   It groups the threads first and sorts those group by the date of the latest 
   message in them. Thus a new coming message will be displayed on the top 
   even it belongs to a very old root message


01/16/2002
----------
1. add style Hotmail
   (thanks to Brian Suttonb, suttonb.AT.users.sourceforge.net)
2. auto convert between charset big5 and gb2312 if possible
3. slovak language and templates translation update
   (thanks to lubos klokner, lubos.AT.klokner.sk)


01/15/2002
----------
1. add blockemail icon in message reading
2. escape the delimiter '@@@' in addressbook and filterbook editing
   for better compatibility with double byte characters


01/14/2002
----------
1. display confirm box when user clicks the 'import address' or 'block smtp'
   in message reading, and return back to message reading window after 
   the addressbook/filterrule is updated.
   (suggested by Kashif Manzoor, guy2000.AT.hi.net.pk)


01/13/2002
----------
1. display counter and last filtered date in mailfilter editing menu.
   This is useful in finding filter rules that are not used for a long time.
2. add option reparagraphorigmsg to user preference and openwebmail.conf
   If this option is set to yes, the original message will be reparagraphed
   before appended into the body of reply message
3. fix minor bug in maildb.pl that will hang when converting html contents 
   of some messages


01/12/2002
----------
1. very limited support for message/external-body contenttype
2. fix the "illegal Character" bug when pressing cancel button in compose window
   (reported by Kashif Manzoor, guy2000.AT.hi.net.pk)


01/11/2002
----------
1. add option viewnextaftermsgcopymove to user preference and openwebmail.conf
2. add support for reading fragmented message (contenttype=message/partial)


01/10/2002
----------
1. hungarian language translationupdate
   (thanks to Posz Marton, ful_s.AT.fazekas.hu)
2. fix the 'illegal address syntax' warning in the postfix
   (reported by ychsiao, pippen.AT.linux.mis.stu.edu.tw)
3. fix the bug that editfromaddress couldn't go back to editprefs 
   (reported by ychsiao, pippen.AT.linux.mis.stu.edu.tw)
4. add new iconset: Cool3D.Chinese.Traditional
   (thanks to yuan, hoyuan.AT.istyle.idv.tw)


01/09/2002
----------
1. fix the bug that clicking email in addressbook will cause error of
   'Action has illegal characters!'
2. fix a bug which didn't send messageid when relaying mail
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
3. split openwebmail-read.pl & openwebmail-viewatt.pl from openwebmail-main.pl
   for better speed
4. fix a bug in routine dateserial2age which cause messages in mail-trash 
   cleaned all the time
5. add option deliver_use_GMT to openwebmail.conf to adjust message date 
   field in folderview. It could be useful for users of qmail.
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)


01/08/2002
----------
1. fix a bug in creating group email entries
   (reported by Kashif Manzoor, guy2000.AT.hi.net.pk)
2. add support for multiple date format
3. increase compatibility with some SMTP daemon by sending 'Date: '
   header when relaying mail
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
4. show addressbook icon in composemessage window for To:, Cc: and Bcc:
   (thanks to u8711028.AT.cc.nkfust.edu.tw for his patch)


01/07/2002
----------
1. fix the withoriglabels for english
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
2. fill full email address when composing new message to specific user
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
3. fix a bug that only one receiver got the mail even multiple recipients 
   were specified in mail header.
   (reported by nmra.AT.sys.com.tw)


01/04/2002
----------
1. email address from the address popup window now uses the complete format 
   like "username" <user@somehost> instead of user.AT.somehost.
2. send charset directive in address popup window and use double column
3. use Net::SMTP module for mail sending
   (thanks to Carl Olsen, calle.AT.batliv.nu. for his patch)
4. split openwebmail-send.pl from original openwebmail-main.pl
   for better speed


01/03/2002
----------
1. add option move_oldmsg_from_inbox to openwebmail.conf & user preference
   add option forced_move_oldmsg_from_inbox to openwebmail.conf
2. add option replywithorigmsg to openwebmail.conf & user preference
   Available values for this option are at_beginning, at_end or none.


01/02/2002
----------
1. add search support to addressbook
   (thanks to u8711028.AT.cc.nkfust.edu.tw for his patch)
2. fix minor bugs in email display in folderview
   (reported by gamato.AT.host.sk)


01/01/2002
----------
1. add option 'enable_setforward' to openwebmail.conf
2. use smarter method to decide the existence of attachment in folder view
ps: this version will do a release upgrade of your db, it may take several 
    seconds to minutes at the first time of login.
3. add support for attachments encoded with 'x-uuencode'


12/31/2001
----------
1. add support for message priority
   (suggested by gamato.AT.host.sk)
2. minor change to inreplyto/reference support to fix the header db 
   inconsistency problem when a draft is saved for more than once


12/29/2001
----------
1. display the email address if the mouse is focused over the sender/receiver 
   name in folder view
   (suggested by gamato.AT.host.sk)
2. display multiple recipients in sent folder
   (suggested by gamato.AT.host.sk)


12/27/2001
----------
1. minor correction to smilies support
2. integrate 'answered' flag and read/unread flag into single icon
3. minor update to global filter rule to catch new viruses
4. minor fix to maildb.pl to handle attachments whose name contains '/' or '\'


12/26/2001
----------
1. add support for the .forward file editing
   (thanks to Nimal Ratnayake, nimalr.AT.mail.pdn.ac.lk for his patch)
2. add support for 'markread' and 'markasunread'
   (thanks to Chen-hsiu Huang, chenhsiu.AT.gens.dhs.org for his markasread patch)
3. add new iconsets: Default.Spanish and Cool3d.Spanish
   (thanks to Javier Smaldone, jsmaldone.AT.yahoo.com)


12/23/2001
----------
1. fix some display problem on mozilla or Netscape browser.
   (thanks to Chen-hsiu Huang, chenhsiu.AT.gens.dhs.org for his patch)


12/21/2001
----------
1. minor fix to replyall to put original 'cc:' into new 'cc:' instead 'to:'
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
2. minor fix to maildb to parse mail header more properly
   (reported by Yu-chung Tsao, tsaoyc.AT.yggdrasil.ecosine.com.tw)
3. fix a bug in 'sort by thread' that falls into endless recursive loop when 
   processing message with no messageid
   (reported by Martin Gignac, lmcgign.AT.mobilitylab.net)
4. fake messageid with message date and sender email address if it doesn't exist.
   This prevents messages with no messageid being deleted cause of duplication.
   (reported by Yu-chung Tsao, tsaoyc.AT.yggdrasil.ecosine.com.tw)


12/20/2001
----------
1. fix a bug in auth_unix again that may crash the passwd file under heave access.
   (reported by 邱贊源, cty.AT.mail2.scvs.tpc.edu.tw)


12/19/2001
----------
1. add option mailfooter to openwebmail.conf, which will be append at the 
   tail of each outgoing mail


12/15/2001 (version 1.53)
----------
1. support new mail header: In-Reply-To, References", X-Status
2. display "A" flag in the first column in folderview to denote messages 
   that have been answered.
3  add a new sort method "by thread".  The threaded sort uses information 
   from the references and in-reply-to fields in messages to thread the 
   subjects.  This is especially nice for mailing lists.
4. Changed sort by subject to sort the subjects just by subject
   and not by the subject/date hybrid.
5. If a from line only has an address, then cut it off at the
   @ symbol in the from column.  

Thanks to James Dean Palmer, james.AT.tiger-marmalade.com,
who contributed the all patches for the above features.


12/13/2001
----------
1. slovak language and templates translation update
   (thanks to lubos klokner, lubos.AT.klokner.sk)
2. korean language and templates translation
   (thanks to Moonsang Kwon, kmscom.AT.snu.ac.kr)


12/11/2001
----------
1. fix a bug in auth_unix that may crash the passwd file under heave access.
   (reported by 邱贊源, cty.AT.mail2.scvs.tpc.edu.tw)
2. fix a bug in readstyle that forgets to resolve the @@@BG_URL@@@ symbo
   in $style{"css"} and causes access non-exist background in openwebmailerror
   (reported by 邱贊源, cty.AT.mail2.scvs.tpc.edu.tw)
3. fix a bug in parse_uuencode_body that may miss some uuencoded blocks in a message
   (reported by Andrew Cheung, kycheung.AT.netfront.net)


12/04/2001 (version 1.52)
----------
1. Emir Litric has done a lot of great powerd-by-openwebmail icons
2. set $ENV{BASH_ENV} to "" at startup
3. cool3d iconset for slovak
   (thanks to lubos klokner, lubos.AT.klokner.sk)


11/28/2001
----------
1. use openwebmail.org as the portal site for this project
   (thanks to Thomas Chung, tchung.AT.openwebmail.org)
2. lithuanian language and templates translation update
   (thanks to Alvydas Sinkunas, dvm382.AT.takas.lt)


11/27/2001
----------
1. use case-sensitive comparison to match ignored user in vacation.pl
   (thanks to erkac.AT.users.sourceforge.net)


11/23/2001
----------
1. change the way to get default user realname in auth_unix and auth_pam.
   We use only 1st part of userinfo in passwd file instead of the whole 
   userinfo as the realname.


11/22/2001
----------
1. split the original openwebmail.pl into 2 scripts for better performance.
   openwebmail.pl - login related routine only
   openwebmail-main.pl - folder/message access routines
   This also has the effect that hides the login params if the login is
   redirected from other cgi by specifying loginname and password in url.
2. fix a bug in addressbook import
   (reported by Andrew Chang 張志標, andrew.AT.ms15.url.com.tw)


11/20/2001
----------
1. change the field delimiter from ':' to '@@@' in ~user/mail/.from.book, 
   ~user/mail/.address.book and ~user/mail/.pop3.book for better compatibility
   (reported by Adams Fung, afung.AT.startv.com)
ps: The user .*.book file will be converted automatically when user logins. 
    The global book file (etc/address.book, etc/filter.book) need to be 
    changed manually by replacing all ':' with '@@@'
    Or you can use the one in the openwebmail tarball.
2. Catalan language and templates translation update
   (thanks Jordi Vidal, st.AT.e-puntcom.com)


11/17/2001
----------
1. minor fix to maildb.pl so it can find message start more precisely


11/16/2001
----------
1. add option 'confirm before msg move/copy' to user preference 
   and openwebmail.conf


11/15/2001
----------
1. fix a bug that vacation.pl won't generate reply for messages whose sender
   has same userid as the destinated username
   (reported by Thomas Chung, tchung.AT.openwebmail.org)
2. Czech language and templates translation update
   (thanks to Michal Drapak, michal.AT.stavlib.hiedu.cz)


11/14/2001
----------
1. minor fix to do error checking on 'to:' field in replayall
   (reported by Scott Ocken, jarlaxle.AT.icsmail.net)


11/13/2001
----------
1. fix the 'internal server error' bug that appears if .pop3.book doesn't 
   exist and user presses 'retrieve pop3' button
   (reported by erkac.AT.users.sourceforge.net, lubos klokner)
2. add option 'filter msgs with faked exe contenttype' to openwebmail.conf
   and user preference. This is used to filter virus mails that faked 
   content-type of executable to make the executable auto downloaded/executed 
   on buggy browser.
3. minor update to global filter rule to catch new viruses
4. slovak language and templates translation update
   (thanks to lubos klokner, lubos.AT.klokner.sk)


11/12/2001
----------
1. fix a bug in mailfilter.pl that sometimes decodes same text block part 
   for more than once. This fix slightly speeds up the mail filtering.
2. lithuanian language and templates translation
   (thanks to Alvydas Sinkunas, dvm382.AT.takas.lt)


11/11/2001
----------
1. display a logout page instead of the redirection to login menu after user 
   clicked the logout button. This saves one time of CGI execution.


11/10/2001
----------
1. add option 'symbolic_mbox' to openwebmail.conf
   Some pop3d moves messages from mailspool to ~/mbox if the client chooses 
   to reserve messages on server. With this option set to 'yes', openwebmail 
   will symlink ~/mbox -> ~/mail/saved-messages to make messages accessible
   either in pop3 client or openwebmail
2. fix a javascript bug in setting background in user preference
   (thanks to 盧紀憲, jslu.AT.cobra.ee.ntu.edu.tw for his patch)


11/08/2001 (version 1.51)
----------
1. fix a javascript bug in loginmenu which causes double processes for one 
   login, This greatly speeds up the login on low-end machines.
2. minor fix to pop3mail.pl to handle message with month and mday in reverse
   order 
3. change option default_filter_fakedsmt to 'no' since most admin get confused
   with this feature.
4. fix the bug that causes update of virtuser.db at each login


11/07/2001
----------
1. use red instead of blue for message download icon if the message is sent 
   with 'X-Mailer: OpenWebmail'


10/31/2001 (version 1.50)
----------
1. doc/RedHat-README.txt is updated for Openwebmail 1.50
2. Catalan language and templates translation,
   cool3d iconset for Catalan
   (thanks Jordi Vidal, st.AT.e-puntcom.com)
3. portuguese language and templates translation
   (thanks to Jose Ferradeira, jferra.AT.sfconsultores.pt)


10/29/2001
----------
1. minor fix to maildb.pl to handle buggy mailheader that contains
   multiple 'From ' line


10/27/2001
----------
1. minor fix for Spanish templates
   (thanks to Osvaldo Ancarola, oancarola.AT.hotmail.com)
2. correct a bug that locates background images in wrong path
   (thanks to Osvaldo Ancarola, oancarola.AT.hotmail.com)


10/22/2001
----------
1. minor fix to smtprelay code to ignore smtp relays with local domainanames


10/21/2001
----------
1. fix a bug that virtualuser could not be matched if loginname is only the username 
   part of the virtualuser
2. if a username is mapped by any virtualuser, it would be only accessable from
   the virtualuser


10/12/2001
----------
1. assume *.bmp display is support by the browser
2. dutch language and templates translation update
   (thanks to Christian Boer, chris.AT.connectux.com)
3. minor correction to readme.txt for linux 7.x
   (thanks to borching, borching.AT.seed.net.tw)  


10/07/2001
----------
1. minor change to the interface function in auth_xxx.pl


10/05/2001
----------
1. fix the bug that shows session timeout window when login failed
2. minor change to auth_pam.pl to fix the change password failure


10/04/2001
----------
1. minor changes to virtual user mapping, it uses $ENV{'HTTP_HOST'} as
   a clue to find correct user.


10/03/2001
----------
1. split auth.pl into 2 modules: auth_unix.pl and auth_pam.pm, 
   move global variables used by auth_xxx.pl from openwebmail.conf to 
   auth_xxx.pl


09/27/2001
----------
1. fix a bug that dictionary other than english won't be used in openwebmail-spell.pl
   (thanks to helio.AT.compuland.com.br for his patch)
2. minor fix to increase compatibility with https
3. rename imageset to iconset in codes, openwebmail.conf and templates
   put all iconsets to images/iconsets/
   put all background images to images/backgrounds/
4. change mode of cgi-bin/openwebmail/etc from 750 to 755


09/26/2001
----------
1. minor fix to the address import routine so it can import fields other
   than username and email.
2. autofocus to passwd and autosubmit in loginmenu
   (thanks to Burghardt Fischer, mrql.AT.users.sourceforge.net for his patch) 
3. fix "Insecure dependency in chown while running setuid at 
   openwebmail-share.pl line..." bug
   (reported by borching, borching.AT.seed.net.tw)
4. fix a bug that causes the reply error for read receipt request.
   (reported by ws81050, ws81050.AT.fire.tkvs.ylc.edu.tw)


09/22/2001
----------
1. chinese GB language and templates translation update
   (thanks to Wang Jun, wjun.AT.mail.iap.ac.cn)


09/21/2001
----------
1. add option autopop3_at_refresh to openwebmail.conf
   Openwebmail will fetch pop3mail for user at refresh if this option 
   is set to yes


09/20/2001
----------
1. fix the 'Couldn't open openwebmail.log!' error in checkmail.pl
2. Portuguese Brazil language and templates translation
   (thanks to Edison Figueira Junior, edison.AT.brc.com.br)
3. change the abbreviation of languages to i18n format


09/19/2001
----------
1. History function now records not only login but also other important 
   events like pop3 error, folder/message operation, password changing...
2. fix a bug that autoreply subject and text for new user are empty


09/18/2001
----------
1. reimplement the virtual user support
   a. use /etc/mail/virtusertable instead of /etc/mail/genericstale for
      virtual user mapping
   b. login name can be virtualuser@virtualdomain or virtualuser now
2. add support for 'from email address book'


09/13/2001
----------
1. support multiple dictionaries in spellcheck
   (thanks to Raul Monferrer, raul.AT.est.ct.upc.es)


09/11/2001
----------
1. remove the dependence on Lingua-Ispell module from openwebmail-spell.pl
   with the code from WBOSS 1.5a. 
   (http://www.dontpokebadgers.com/spellchecker/, 2001, Joshua Cantara)
   The spellcheck feature now works well on RedHat 7.x.


09/10/2001
----------
1. The format of openwebmail.conf is totally changed.
   it is now a pure text file and parsed by openwebmail at runtime.
   Some options were changed to a more descriptive name.
2. The default setting for most items in user preference are now available
   in openwebmail.conf.
3. all static links in templates are removed.
4. Spanish language and templates translation update
   (thanks to F幨ix Martos, pakito.AT.asinkecualo.org)

Note: Since openwebmail.conf is totally changed, a reinstallation is 
      required for those who upgrade from old version...


09/06/2001
----------
1. fix a bug that trashreserveddays is always displayed as 'forever' 
   in user preference


09/04/2001 (version 1.41)
----------
1. replace CGI::escape and CGI::unecape with escapeURL and unescapeURL to 
   be compatible with CGI.pm-3.0 or above
   (reported by Hal Baumgardner, yes_hal9000.AT.hotmail.com)   


09/02/2001
----------
1. fix a bug that trashreserveddays can not be set to 'forever' 
   in user preference
2. grammar correction to web pages
   (Thanks to Simon Grabinar, Simon.AT.Grabinar.com)


09/01/2001
----------
1. new Open WebMail logo, new default background image
   and lots of changes to templates to styles.


08/29/2001
----------
1. fix a typo that makes the content-type header not being sent to browser
   when user clicks the link of an attachment
   (thanks to Dugal James P., jpd.AT.louisiana.edu)
2. fix a bug that sends wrong content-type headers for uuencoded 
   excel/powerpoint attachments
   (thanks to Dugal James P., jpd.AT.louisiana.edu)
3. Welcome for Emir Litric, elitric.AT.yahoo.com, 
   He is one of the authors of OpenWebMail now :)


08/28/2001
----------
1. support mime-encoded subject in vacation.pl
2. fix the mode=0000 problem on some linux distribution
3. fix a minor bug in making filter rule with message smtprelay


08/27/2001
----------
1. "sort by subject" now groups a thread and related follow-ups together.
   The threads in a group are sorted by date and the groups are sorted by
   date too.


08/25/2001
----------
1. add $enable_autoreply to openwebmail.conf to control whether allow 
   user to enable autoreply for their incoming messages
2. fix a broken link in pt/footer.template 
   (thanks to Carlos Pina Soares, cps.AT.fcsh.unl.pt)


08/24/2001
----------
1. add a submit button for search function since the '[enter] to submit'
   behavior seems not available on some browser
   (reported by Ted TSUI, ted.AT.gennet.com.tw)
2. fix a bug that autoreply won't work when multidomain or 
   virtual user is used in openwebmail
   (Thanks to Emir Litric, elitric.AT.yahoo.com)
3. the realname field in user preference now has better compatibility 
   with double-byte character set, ex:big5, gb
4. vacation.pl supports -d option for debugging
   debug info will be logged to /tmp/vacation.debug


08/23/2001
----------
1. hungarian language and templates translation update
   (thanks to Nagy Endre, gumo.AT.lucifer.kgt.bme.hu)
2. fix a bug that searchtype will be restored to 'subject' after 
   message composing


08/22/2001
----------
1. remove absolute position directive in <div> tag 
   when displaying html attachment
2. fix a bug that can not parse out messages with some 'From xxx' 
   line properly
   (reported by Ted TSUI, ted.AT.gennet.com.tw)
3. change option $use_pam to $auth_type in openwebmail.conf
   with the hope to support multiple auth_type in the future :)


08/21/2001
----------
1. fix the BIG5/GB conversion failure on linux
2. polish language and templates translation update
   (thanks to Pawel Jablonski, pawelj.AT.lodz.dialog.net.pl)


08/17/2001
----------
1. chinese GB language and templates translation
   (thanks to Wang Jun, wjun.AT.mail.iap.ac.cn)


08/16/2001 (version 1.40)
----------
1. a new mirror site is setup at http://www.geocities.com/openwebmail/
   (Thanks to Emir Litric, elitric.AT.yahoo.com)
2. fix the bug that imageset is set to 'default' at login no matter what 
   user presference setting is.
   (reported by Emir Litric, elitric.AT.yahoo.com)
3. guess real homedir under /export to avoid automount on localhost
   correct the weekday abbreviation of tuesday and wensday
   (thanks to Dugal James P., jpd.AT.louisiana.edu)
4. clear path in vacation.pl to make it suitable for smrsh



08/06/2001
----------
1. fix the 'password change' failure on system using MD5 encryption


08/05/2001
----------
1. record the failure of login in history
2. better support for chinese Big5 <-> GB convertion


08/04/2001
----------
1. add option 'Image set' in user preference.


08/03/2001
----------
1. fix a bug when downloading a message with strange subject
   (reported by Dugal James P., jpd.AT.louisiana.edu)
2. add option 'disallowed_pop3servers' to openwebmail.conf
   (thanks to Dugal James P., jpd.AT.louisiana.edu for his patch)


08/02/2001
----------
1. portuguese language and templates translation
   (thanks to Jose Ferradeira, jferra.AT.sfconsultores.pt)


07/30/2001
----------
1. add [change password] button to user preference.
2. add [login history] button to user preference. this enable user to check if
   soemone else is hacking his mail account.
3. support BIG5 <-> GB converting in message reading


07/28/2001
----------
1. PAM support (from Nikolay Pelov, nikip.AT.iname.com,
                http://www.cs.kuleuven.ac.be/~pelov/pam/FAQ.html)
   DST(day saving time) automated adjustment 
   internal message detection of subject created by Solaris dtmail 
   fix to openwebmail.conf $passwdfile for NIS+ password 
   prefix /export to user $homedir for sun automounter
   change default trash folder cleanup interval to 7 days
   use ~/.signature instead of ~/mail/.signature if it exists
   (thanks to Dugal James P., jpd.AT.louisiana.edu for his great patch for all the above)
2. move authentication related functions into auth.pl
3. add option 'background image url' to user preference
   (thanks to Bhaskar Manda, bhaskar_manda.AT.yahoo.com)


07/27/2001
----------
1. add many fancy styles.
   (thanks to Emir Litric, elitric.AT.yahoo.com)


07/26/2001
----------
1. Spanish language and templates translation 
   (thanks to F幨ix Martos, pakito.AT.asinkecualo.org)


07/23/2001
----------
1. fix the bug that the fromname could be set but not used when 
   $set_fromname='yes'
   (reported by Edward Ping-Da Chuang, edwardc.AT.tigers.idv.tw)
   (thanks to Steve Hardy, s.a.hardy.AT.connectux.com for his fix)


07/22/2001
----------
1. swedish language and templates translation 
   (thanks to Goran Jartin, tryfan.AT.telia.com)


07/21/2001
----------
1. fix the strange layout problem in Mac with IE browser.
   (reported by Goran Jartin, tryfan.AT.telia.com)


07/20/2001
----------
1. minor fix to maildb.pl to handle multipart attblock with no boundary 
   specified in attblock header 
   This eliminate the "Not an ARRAY reference at maildb.pl line xxxx" error
   (reported by Administrador de Sistemas Unix, master.AT.xanum.uam.mx)


07/19/2001
----------
1. minor fix to pop3mail.pl to increase the compatibility with some broken 
   pop3d which returns uidl without leading '+'.


07/18/2001
----------
1. fix minor bug in mailfilter.pl that moves mails from localhost 
   into trash folder 


07/16/2001
----------
1. minor fix to mailfilter.pl to trust mails delivered from private ip.
2. fix the javascript CheckAll() malfunction problem on mozilla browser
   (thanks to Sylvain COTINEAU, xorne.AT.topfinance.com for his fix)


07/14/2001
----------
1. fix the 'message is gone' error caused by clicking 'Block SMTP Relay'


07/13/2001
----------
1. fix a bug that newly created folder won't be displayed immediately
   (reported by Carlos Pina Soares, cps.AT.fcsh.unl.pt)
2. fix the 'undefined subroutine ..." error when checkmail.pl option -i is used
3. minor fix to handle .csv addressbook with semicolon separated values
4. dutch language and templates translation
   (thanks to Christian Boer, chris.AT.connectux.com)


07/12/2001 (version 1.32)
----------
1. display useremail and folder quota usage in web page title


07/09/2001
----------
1. fix a little bug related to email address in pop3 book 
   (reported by Emir Litric, elitric.AT.yahoo.com)
2. display the total folders space usage when mouse is over 'folders' icon 
   if folderquota is set.


07/08/2001
----------
1. fix the 'ndbm store returned -1.." empty key error
   (reported by Justin Frydman, jfrydman.AT.swiftbiz.ca and 
    John McKay, john.AT.eddystone.net)   


07/05/2001
----------
1. add a sign-up package 'useraddbyweb.tar.gz' to contrib/
   (contributed by to Nimrod Zimerman, zimerman.AT.mailandnews.com and 
    Nimrod S. Carmi, simba.AT.schoolsucks.com)   
2. fix a bug that displays session timeout warning immediately 
   after successful login when using netscape 4.04
   (reported by Fr. Visminlu Vicente L. Chua, S.J., chuavv.AT.mail.savs.hcc.edu.tw)   


07/04/2001
----------
1. fix a bug that creates ~user/.forward, ~user/.vacation.msg and mail spool
   with owner=root if both homedirspools and homedirfolders are set to 'no'
   (reported by karun.AT.mail2000.com.tw)
2. Italian language and templates translation
   (thanks to Benedet Marvi, i3100579.AT.ingstud.univ.trieste.it)
3. add check for newmessages and allmessages count for non-negative value


07/03/2001
----------
1. rewrite checkmail.pl. It supports newmail check, pop3 prefetching and 
   folder index verification now.
   The sysadm can use 'checkmail.pl -p -a' in crontab to prefetch pop3
   mail for the user.
2. fix a bug that returns wrong content when a message is not found 
   in folder


07/02/2001
----------
1. add RedHat-README.txt to doc/
   (contributed by Emir Litric, elitric.AT.yahoo.com)


06/29/2001
----------
1. fix a bug that treat lines starting with 'From ' as start of a new message


06/28/2001
----------
1. dutch language translation
   (thanks to Michiel van Slobbe, m.m.vanslobbe.AT.connectux.com)


06/27/2001
----------
1. recalculate used quota after operations that change the size of folders
2. fix a bug that won't clear related db when genericstables is deleted


06/26/2001
----------
1. fix a bug that won't parse out attachment correctly in rare cases
2. fix a bug that searchtype will be restored to 'subject' after 
   any message is moved or copied from current folder
3. Italian language translation
   (thanks to Benedet Marvi, i3100579.AT.ingstud.univ.trieste.it)


06/23/2001 (version 1.31)
----------
1. use a new window instead of alert dialog to display the session timeout 
   warning. Thus the window could be closed automatically when session is end.


06/22/2001
----------
1. display a warning "session will be ended within 60 seconds" to user
   before a session is timeout-ed
2. support login alias in checkmail.pl. 
   If checkmail.pl is used with fingerd, then user can get the mail status
   by 'finger virtualuser@virtualhost'


06/21/2001
----------
1. fix a bug that creates .forward and .vacation.msg in / 
   instead of user homedir when homespooldir and homefolderdir is not enables
   (reported by Emir Litric, elitric.AT.yahoo.com)


06/20/2001
----------
1. fix a bug that won't fetch the first one message from pop3 server
   in some case
   (reported by Jrgen Meurer, meurer.AT.bad-gmbh.de)


06/19/2001 
----------
1. fix pop3 retrieval problem on NT exchange server.
   (reported by jerry.AT.email.wtuc.edu.tw)
2. fix a bug that resets the autoreply message to default when
   setting user preference
   (reported by Emir Litric, elitric.AT.yahoo.com)
3. chinese GB language and templates translation
   (thanks to Wang Jun, wjun.AT.mail.iap.ac.cn)
4. login alias/mapping support
   (thanks to Russ Reese, russ.AT.zerotech.net for his patch code)


06/18/2001 (version 1.30)
----------
1. add support for auto reply.
   Mails from same user within 60 seconds will be replied only once.
2. add support for sendmail genericstable 
3. fix a bug that some subject will ends with a> in folderview
   (reported by zmx.bbs.AT.BirdNest.infoX.Net)
4. fix a bug that the attfilename won't be displayed correctly for mails 
   sent from program pine.


06/14/2001
----------
1. fix minor error in sendmessage which sets $from value in dbm to $to
   when storing message backup to SENT folder
2. Deutsch language and templates translation
   (thanks to Andreas Roedl, flood.AT.flood-net.de)
3. minor fix to displayheader to solve the delay problem on some 
   platform, eg: linux RedHat6.2/CLE0.9
   (reported by hsienhsi.AT.mail.yces.chc.edu.tw)


06/13/2001 (version 1.22)
----------
1. use new 3D icons instead of the original flat icons.
   (thanks to Emir Litric, elitric.AT.yahoo.com, for his grea work of art!!!)
2. Spanish language and templates translation
   (thanks to F幨ix Martos, pakito.AT.asinkecualo.org)
3. Deutsch language translation
   (thanks to Andreas Roedl, flood.AT.flood-net.de)
4. fix .pop3.book open error when pop3book size=0
   (reported by kwang.AT.mail.cgjh.tcc.edu.tw)
5. fix a bug in javascript routine 'spellcheck' in compose template
   (thanks to Antony Street, antony.AT.vigen.com.au)
6. fix a color bug when displaying message/rfc822 header


06/12/2001
----------
1. fix .pop3.book open error when editing pop3book at first time
   (thanks to Emir Litric, elitric.AT.yahoo.com)
2. change session control from 'per host' to 'per user'.
   This means a user can login openwebmail with different ids at the 
   same time from same client.
3. the from address used in replying to a receipt request will depend
   on the receiver whom the message was deliver to


06/11/2001 (version 1.21)
----------
1. add support for multiple from address.
   Each pop3 account can set a from address now and these from addresses 
   can be used as from address when composing message
2. count INBOX size for mail quota now
3. prompt a confirm window before doing emptytrash


06/09/2001
----------
1. composemessage checks to, cc and bcc when the user press 'send' button,
   if none of them is specified, the message won't be sent.
   A confirm window will also appears if no subject is specified.
2. [spell check] button has the same shape as others in netscape on 
   unix platform


06/07/2001 (version 1.20)
----------
1. add support for spelling check in message composing.
   This spelling check is base on the code of WBOSS 
   (http://www.dontpokebadgers.com/spellchecker/, 2001, Joshua Cantara)


06/06/2001
----------
1. fix a bug that when clicking a email in global addressbook to enter the
   message editing menu, the 'To' field will be empty.
   (thanks to karun.AT.mail2000.com.tw)


06/02/2001
----------
1. change the icons of pop3, pop3setup and logout


06/01/2001 (version 1.15)
----------
1. improve the search function. Messages inside a folder can be searched 
   by sender, receiver, subject, date, filename of attachments, 
   message header, text content or all of the above.
2. Not sending Content-Disposition header to IE5.5
   (http://support.microsoft.com/default.aspx?scid=KB;en-us;q281119)
3. improve compatibility with pop3 servers that don't support 'uidl' command
4. fix a bug that generates wrong date string for messages fetched from 
   pop3 server
5. fix a bug that strips the blank line between mail header and mail body
   if the message already has an empty 'Status:' line before status updating. 


05/30/2001
----------
1. add 'Hide folder internal data' option to openwebmail.conf and 
   user preference. When this option is enabled, internal messages used by 
   POP3 or IMAP server will be hidden from user.


05/25/2001 (version 1.14)
----------
1. fix a minor layout problem in folderview on konqueror browser
2. fix the 'session never timeout' problem caused by the 'auto refresh'
3. the $folderquota counts both folders and folder indexes now.
   The message operation will be limited to 'delete' only if the quota is hit.


05/18/2001
----------
1. remove foldername dependence from maildb.pl. 
   This eliminates the need of faking 'from' with 'to' in SENT/DRAFT db
   and gives a consistent view when moving messages between SENT/DRAFT folder
   and other folders.

ps: you may remove .saved-drafts.db and .sent-mail.db from all ~user/mail/ 
    to ensure the 2 db will be recreated before being used next time.


05/16/2001
----------
1. minor improvement of mailfilter of smtp relays
2. add option $enable_setfromname to openwebmail.conf.


05/15/2001
----------
1. move 'clean trash by days' from logout to login to ensure it happens.


05/07/2001 (version 1.13)
----------
1. the 'whole message download' is now available by clicking the download
   icon at the end of subject line
2. fix the bug that openwebmail.log will be created with wrong gid.
3. fix a bug of a javascript routine for message move
4. better support for 'confirm reading', it pops up a confirm window
   rather than transmitting the 'read receipt' back to sender silently


05/06/2001
----------
1. spammer message filtering will bypass all messages from machine 
   that belongs to the same domain as the destination mail server
2. add option to user preference that controls the size of text area 
   in mail editing
3. Saving an existing draft back to draft folder will put it into a new draft 
   if it is saved with a different subject


05/05/2001
----------
1. add option 'disable JavaScript inside message' to user preference
   It is used to protect the browser being hijacked by some evil java scripts
   inside a message.
2. change option 'autoemptytrash' in userpreference to 'trash mail reserved days'
   User can set how long a message will live in the mail-trash folder.
   The logout procedure will check the mail-trash and deleted aged messages.


05/04/2001 (version 1.12)
----------
1. support 'export addressbook'
2. fix a bug in parsing recursive message/rfc822
3. add option $enable_pop3 to openwebmail.conf


05/03/2001
----------
1. support 'forward message as an attachment'
2. add 'note field' to addressbook
3. fix minor bug in spammer message filtering
4. better folder summary in 'folder management menu'


05/02/2001
----------
1. fix the replyto bug, the value of replyto field in message editing 
   will override the replyto setting in user preference now.
2. domainname in user preference will be checked if it is one of
   the defined system domainanames.


05/01/2001 (version 1.11)
----------
1. support 'clear addressbook'
2. add option 'filter_fakesmtp' to openwebmail.conf and user preference.
   It is designed to filter messages from spammers in 2 case
   a. spammers relay from a smtp server and that has a invalid hostname
   b. spammers deliver junk messages to you directly with a faked hostname


04/30/2001
----------
1. better body text in message replying/forwarding
2. fix a bug that changes the current message_id after copying the current message
   to other folder.
3. fix a bug related to message/rfc822 attachment


04/28/2001
----------
1. fix a bug of url redirection in logout.
2. clean code. ensure all file locking is done with sub filelock


04/27/2001
----------
1. support filtering of repeated messages. It is useful to filter repeated 
   virus mail from those infected machines.

   An option $repeatlimit is added to user preference and openwebmail.conf.
   Messages at INBOX folder with same subject and from same sender will be 
   treated as repeated messages. If the repeat count is more than 
   $repeatlimit, these repeated messages will be moved to mail-trash. 

2. support 'folder rename' in folder management menu
3. fix security bug in add/delete folder


04/26/2001 (version 1.10)
----------
1. greatly improve the speed of folder view on folders with thousands 
   of messages
2. reduce the memory usage in viewattachment
3. fix a bug that shows 'Can't call method "att" without a package....'
   when adding attachment
4. change the character check of filename and preference to eliminate
   incompatibility with some chinese characters
5. change '$numberofheaders' to '$headersperpage' in openwebmail.conf
6. change the method in finding the smtprelay


04/25/2001
----------
1. support 'download attachment' in message editing
2. add option 'default destination folder' to user preference
   add option 'newmail sound notification' to user preference


04/24/2001 (version 1.09)
----------
1. add option 'autofetch pop3 mail at login' to user preference
   add option 'auto empty trash at logout'   to user preference
2. fix a bug that shows the attribute of plain text message in sent-mail folder
   with a '@' mistakenly.
3. support 'delete attachment' in message editing
4. fix a bug related to 'empty-trash' button


04/23/2001
----------
1. greatly improve the speed of re-indexing in update_headerdb
2. fix a minor bug in filelock_flock
3. index folder at background if folder is large than 10M to avoid
   http timeout


04/20/2001 (version 1.08)
----------
1. code clean for better security
   set_euid_egid_umask as early as possible
2. The name of default folders are the same now for either homefolderdir='yes' 
   or 'no', they are saved-messages, sent-mail, saved-draft and mail-trash
3. move openwebmail/etc/users/user/config    to ~user/mail/.openwebmailrc 
        openwebmail/etc/users/user/signature to ~user/mail/.signature

ps: Reinstallation is recommended for those who upgrade from old version...


04/19/2001
----------
1. code clean for better program structure
   a. change the location for session files and temporary attachments 
      from cgi-bin/openwebmail/etc to cgi-bin/openwebmail/etc/sessions
   b. change items in openwebmail.conf
   c. change get_spoolfile_headerdb to get_folderfile_headerdb


04/18/2001
----------
1. slightly reduce the memory usage in message move/copy/delete
2. preliminary support for group email address


04/17/2001 (version 1.07)
----------
1. DELETE folder can be used as destination in mailfilter
2. support copy operation in mailfilter
3. better sound reminding method for new messages


04/16/2001
----------
1. code clean, put common routine into openwebmail-shared.pl


04/15/2001
----------
1. support copy messages between folders
2. the indexing (update_headerdb) now deletes the duplicated messages 
   in same folder
3. INBOX folder can be used as a destination in message copy/move.


04/14/2001 
----------
1. provide folder download in folder management menu
2. fix a bug that always create DELETE folder when user kills messages


04/13/2001 (version 1.06)
----------
1. add support for saved-drafts folder. the user can save the unfinished
   letters into the saved-drafts folder and continue editing at any 
   time they want.


04/12/2001
----------
1. there are 2 types of search now, 'header only'(default) and 'full content'.
2. show new/total message counts of each folder in folderedit menu.
3. support delete messages from folder directly
4. better forwarding support for html message and message with encoded body


04/11/2001 (version 1.05)
----------
1. fix a bug in sendmessage. When making backup of a sent message to 
   sent folder, it doesn't put a blank line at the end of that message 
   if the message has no attachment.
2. reduce the memory usage when updating the R status to a message
3. fix the bug introduced by the optimization of version 1.04.
   The message forwarding carries the attachments in the original message
   to the new message and the headers of these attachments are correct now.


04/10/2001
----------
1. add $use_dotlockfile to openwebmail.conf to support using dot lockfile
   for files located on remote NFS servers. This is recommended only if the 
   lockd on NFS server or client has problems
ps: FreeBSD/Linux NFS server/client may need this. Solaris doesn't.
ps: This dotlock routine has not been tested under heavy load yet...

2. add support to filter mails relayed from a specific 'SMTP Relay'


04/09/2001
----------
1. add $global_addressbook and $global_filterbook to openwebmail.conf 
   to support global addressbook/filterrule
2. refresh every 15 minute if in INBOX folderview
   notify user with sound if new mail found


04/07/2001
----------
1. message move in folderview will check if any message is selected 
   before showing up the confirm window
2. the prompt of folder delete confirmation will contain the foldername now.
3. fix a bug in adding attachment without pressing add button


04/06/2001 (version 1.04)
----------
1. The message parser is heavily reconstructed.
   The memory footprint of readmessage is much smaller than before.
2. The memory usage of sendmessage is greatly reduced.
3. fix minor bug related to "searchid" 


04/05/2001
----------
1. fix "the message is gone" problem introduced by the patch
   at 04/04/2001
2. fix a bug in content search, which makes the search cache always miss


04/04/2001
----------
1. further reduce the memory usage of attachment handling.


04/02/2001 (version 1.03)
----------
1. reduce the memory usage when 
   a. uploading a large attachment
   b. reading message with large attachments
2. use MIME::Base64 module with XS support to speed up the 
   encoding/decoding of attachments
3. fix 3DGENERATOR> bug when forwarding a message with attachments
4. fix ~openwebmail/etc mode, it should be 770


03/17/2001
----------
1. zero message count immediately when mail-trash is emptied
2. 'confirm reading' receipt is changed to a more informative style.
3. a shell command 'checkmail.pl' is provided.
   It does mail filtering first, ignores those internal messages used
   by POP/IMAP server and then reports if a user has new mail or not.


03/15/2001 (version 1.02)
----------
1. change name to 'Open WebMail'
2. fix bug related to from attribute
3. add 'confirm reading' support
4. for better compatibility with pine(an unix email reader):
   user folderdir is changed from ~/neomail to ~/mail
   folder saved_messages is changed to saved-messages
   folder sent_mail      is changed to sent-mail
   folder neomail_trash  is changed to mail-trash

ps. a script migrate.pl is provided for administer 
    to migrate user folders from neomail easily


03/11/2001 (version 1.01)
----------
1. add 'sort by status (unread first)'
2. fix date sort bug
3. add a global variable in $homedirfolderdirname neomail.conf
   to specify the folderdir used in user homedir.
4. support charset in CGI.pm version > 2.57 


03/02/2001 (version 1.00)
----------
1. change name to 'Neomail Professional 1.00'
2. mail filter support
3. minor correction to mime mail parsing
4. change the default location for addressbook, pop3book and filterbook 
   from prefsdir to the homedir of each user
5. show new/total message counts for each folder in the folder popup menu


02/20/2001
----------
1. pop3 mail support
2. put pop3 fetching into background if it takes more than 10 second
   to avoid http timeout


11/06/2000
----------
1. minor change of display of message/rfc822 attachment
2. minor change of display of message forward/reply
3. always convert uuencode block into attachment when forwarding
4. fix permission problem in creating files


10/31/2000
----------
1. minor speedup for search and movemessage


10/26/2000
----------
1. rewrite message parsing routines for complex mime messages
2. rewrite layout routine for complex mime messages
3. provide download link of the raw format of message


10/24/2000
----------
1. add support for uuencode blocks inside a text/plain mail
2. add support for addressbook insert at readmessage
3. minor speedup for readmessage and viewattachments
4. better contenttype support
5. fix search routine for messages with mime attachments
6. code clean


10/20/2000
----------
1. better support for mime message display (almost the same as outlook)
2. add support for unlimited levels of attachments
3. add support for links to attachments with content-id or content-location
4. merge in content-disposition patch from neomail-1.20


10/15/2000
----------
1. change all nonblocking lock to a timeout-limited blocking lock
2. improve speed of sort
3. improve speed of readmessage


10/02/2000
----------
Since basically I have a different point of view for programming than 
Ernie, I decide to put my modification to a new version --- neomail 1.14+

1. add support for full content search
2. improve speed of movemessage
3. fix bugs on Solaris


09/28/2000
----------
Ernie merged my code into neomail 1.20


09/22/2000
----------
greatly speedup movemessage/updatestatus with shiftblock routine
submit the patch to Erine


09/18/2000
----------
use dbm to store the parsed result of mail folder 
greatly speedup getheaders/readmessages by using of dbm
submit the patch to Erine


09/14/2000
----------
first test-drive of the original neomail 1.14
